# coding: utf-8

"""
    LUXSCI

    For a technical overview, see [LuxSci API Mechanics Guide](/rest-api/mechanics.html)  Return to [The API Guide](/rest-api.html)  # noqa: E501

    OpenAPI spec version: v2023.17.13
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ReportResponse(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'first': 'int',
        'header': 'list[str]',
        'matches_returned': 'int',
        'matches_total': 'int',
        'rows': 'list[OneOfReportResponseRowsItems]',
        'job_id': 'int',
        'filename': 'str',
        'max_jobs': 'int',
        'current_jobs': 'int'
    }

    attribute_map = {
        'first': 'First',
        'header': 'header',
        'matches_returned': 'matches_returned',
        'matches_total': 'matches_total',
        'rows': 'rows',
        'job_id': 'job_id',
        'filename': 'filename',
        'max_jobs': 'max_jobs',
        'current_jobs': 'current_jobs'
    }

    def __init__(self, first=None, header=None, matches_returned=None, matches_total=None, rows=None, job_id=None, filename=None, max_jobs=None, current_jobs=None):  # noqa: E501
        """ReportResponse - a model defined in Swagger"""  # noqa: E501
        self._first = None
        self._header = None
        self._matches_returned = None
        self._matches_total = None
        self._rows = None
        self._job_id = None
        self._filename = None
        self._max_jobs = None
        self._current_jobs = None
        self.discriminator = None
        if first is not None:
            self.first = first
        if header is not None:
            self.header = header
        if matches_returned is not None:
            self.matches_returned = matches_returned
        if matches_total is not None:
            self.matches_total = matches_total
        if rows is not None:
            self.rows = rows
        if job_id is not None:
            self.job_id = job_id
        if filename is not None:
            self.filename = filename
        if max_jobs is not None:
            self.max_jobs = max_jobs
        if current_jobs is not None:
            self.current_jobs = current_jobs

    @property
    def first(self):
        """Gets the first of this ReportResponse.  # noqa: E501

        The index of the first row that was returned. E.g. this should match the “first_row” parameter specified in the request.  # noqa: E501

        :return: The first of this ReportResponse.  # noqa: E501
        :rtype: int
        """
        return self._first

    @first.setter
    def first(self, first):
        """Sets the first of this ReportResponse.

        The index of the first row that was returned. E.g. this should match the “first_row” parameter specified in the request.  # noqa: E501

        :param first: The first of this ReportResponse.  # noqa: E501
        :type: int
        """

        self._first = first

    @property
    def header(self):
        """Gets the header of this ReportResponse.  # noqa: E501

        Array that includes the column headings for all of the matches returned.  # noqa: E501

        :return: The header of this ReportResponse.  # noqa: E501
        :rtype: list[str]
        """
        return self._header

    @header.setter
    def header(self, header):
        """Sets the header of this ReportResponse.

        Array that includes the column headings for all of the matches returned.  # noqa: E501

        :param header: The header of this ReportResponse.  # noqa: E501
        :type: list[str]
        """

        self._header = header

    @property
    def matches_returned(self):
        """Gets the matches_returned of this ReportResponse.  # noqa: E501

        The number of matching rows returned in the “rows” array.  # noqa: E501

        :return: The matches_returned of this ReportResponse.  # noqa: E501
        :rtype: int
        """
        return self._matches_returned

    @matches_returned.setter
    def matches_returned(self, matches_returned):
        """Sets the matches_returned of this ReportResponse.

        The number of matching rows returned in the “rows” array.  # noqa: E501

        :param matches_returned: The matches_returned of this ReportResponse.  # noqa: E501
        :type: int
        """

        self._matches_returned = matches_returned

    @property
    def matches_total(self):
        """Gets the matches_total of this ReportResponse.  # noqa: E501

        The number of rows matching your request. Note that this can be larger than the number of rows returned.  # noqa: E501

        :return: The matches_total of this ReportResponse.  # noqa: E501
        :rtype: int
        """
        return self._matches_total

    @matches_total.setter
    def matches_total(self, matches_total):
        """Sets the matches_total of this ReportResponse.

        The number of rows matching your request. Note that this can be larger than the number of rows returned.  # noqa: E501

        :param matches_total: The matches_total of this ReportResponse.  # noqa: E501
        :type: int
        """

        self._matches_total = matches_total

    @property
    def rows(self):
        """Gets the rows of this ReportResponse.  # noqa: E501

        Array of data for all matches returned. This array contains one element for each returned match. Each element is itself an array. Each field in the match arrays corresponds to the respective field in the “header” array. E.g. if the 1st element in the “header” array is “user_id”, then the 1st element in a match data array will be the integer user ID number, etc.  # noqa: E501

        :return: The rows of this ReportResponse.  # noqa: E501
        :rtype: list[OneOfReportResponseRowsItems]
        """
        return self._rows

    @rows.setter
    def rows(self, rows):
        """Sets the rows of this ReportResponse.

        Array of data for all matches returned. This array contains one element for each returned match. Each element is itself an array. Each field in the match arrays corresponds to the respective field in the “header” array. E.g. if the 1st element in the “header” array is “user_id”, then the 1st element in a match data array will be the integer user ID number, etc.  # noqa: E501

        :param rows: The rows of this ReportResponse.  # noqa: E501
        :type: list[OneOfReportResponseRowsItems]
        """

        self._rows = rows

    @property
    def job_id(self):
        """Gets the job_id of this ReportResponse.  # noqa: E501

        For asynchronous report requests only, this is the ID of the background job generated.  # noqa: E501

        :return: The job_id of this ReportResponse.  # noqa: E501
        :rtype: int
        """
        return self._job_id

    @job_id.setter
    def job_id(self, job_id):
        """Sets the job_id of this ReportResponse.

        For asynchronous report requests only, this is the ID of the background job generated.  # noqa: E501

        :param job_id: The job_id of this ReportResponse.  # noqa: E501
        :type: int
        """

        self._job_id = job_id

    @property
    def filename(self):
        """Gets the filename of this ReportResponse.  # noqa: E501

        For asynchronous report requests only, this is the name of the file that will be uploaded.  # noqa: E501

        :return: The filename of this ReportResponse.  # noqa: E501
        :rtype: str
        """
        return self._filename

    @filename.setter
    def filename(self, filename):
        """Sets the filename of this ReportResponse.

        For asynchronous report requests only, this is the name of the file that will be uploaded.  # noqa: E501

        :param filename: The filename of this ReportResponse.  # noqa: E501
        :type: str
        """

        self._filename = filename

    @property
    def max_jobs(self):
        """Gets the max_jobs of this ReportResponse.  # noqa: E501

        For asynchronous report requests only, this is the maximum number of asynchronous jobs that can be running concurrently for the customer account.  # noqa: E501

        :return: The max_jobs of this ReportResponse.  # noqa: E501
        :rtype: int
        """
        return self._max_jobs

    @max_jobs.setter
    def max_jobs(self, max_jobs):
        """Sets the max_jobs of this ReportResponse.

        For asynchronous report requests only, this is the maximum number of asynchronous jobs that can be running concurrently for the customer account.  # noqa: E501

        :param max_jobs: The max_jobs of this ReportResponse.  # noqa: E501
        :type: int
        """

        self._max_jobs = max_jobs

    @property
    def current_jobs(self):
        """Gets the current_jobs of this ReportResponse.  # noqa: E501

        For asynchronous report requests only, this is the current number of running asynchronous jobs for the customer account.  This number will always be at least 1, as it includes the new job requested by this API call itself.  # noqa: E501

        :return: The current_jobs of this ReportResponse.  # noqa: E501
        :rtype: int
        """
        return self._current_jobs

    @current_jobs.setter
    def current_jobs(self, current_jobs):
        """Sets the current_jobs of this ReportResponse.

        For asynchronous report requests only, this is the current number of running asynchronous jobs for the customer account.  This number will always be at least 1, as it includes the new job requested by this API call itself.  # noqa: E501

        :param current_jobs: The current_jobs of this ReportResponse.  # noqa: E501
        :type: int
        """

        self._current_jobs = current_jobs

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ReportResponse, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ReportResponse):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
