# coding: utf-8

"""
    LUXSCI

    For a technical overview, see [LuxSci API Mechanics Guide](/rest-api/mechanics.html)  Return to [The API Guide](/rest-api.html)  # noqa: E501

    OpenAPI spec version: v2023.17.6
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import re  # noqa: F401

# python 2 and python 3 compatibility library
import six

from luxsci.api_client import ApiClient


class SecureFormApi(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    Ref: https://github.com/swagger-api/swagger-codegen
    """

    def __init__(self, api_client=None):
        if api_client is None:
            api_client = ApiClient()
        self.api_client = api_client

    def delete_secure_form_database_file(self, account_id, form_id, row_index, file_index, **kwargs):  # noqa: E501
        """delete_secure_form_database_file  # noqa: E501

        This function is used to remove a file associated with a row in your SecureForm database. {{ACL: Account: SecureForm Database - Delete}}  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.delete_secure_form_database_file(account_id, form_id, row_index, file_index, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str account_id: (required)
        :param str form_id: (required)
        :param str row_index: (required)
        :param str file_index: (required)
        :param str cookie:
        :return: InlineResponse201
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.delete_secure_form_database_file_with_http_info(account_id, form_id, row_index, file_index, **kwargs)  # noqa: E501
        else:
            (data) = self.delete_secure_form_database_file_with_http_info(account_id, form_id, row_index, file_index, **kwargs)  # noqa: E501
            return data

    def delete_secure_form_database_file_with_http_info(self, account_id, form_id, row_index, file_index, **kwargs):  # noqa: E501
        """delete_secure_form_database_file  # noqa: E501

        This function is used to remove a file associated with a row in your SecureForm database. {{ACL: Account: SecureForm Database - Delete}}  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.delete_secure_form_database_file_with_http_info(account_id, form_id, row_index, file_index, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str account_id: (required)
        :param str form_id: (required)
        :param str row_index: (required)
        :param str file_index: (required)
        :param str cookie:
        :return: InlineResponse201
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['account_id', 'form_id', 'row_index', 'file_index', 'cookie']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method delete_secure_form_database_file" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'account_id' is set
        if ('account_id' not in params or
                params['account_id'] is None):
            raise ValueError("Missing the required parameter `account_id` when calling `delete_secure_form_database_file`")  # noqa: E501
        # verify the required parameter 'form_id' is set
        if ('form_id' not in params or
                params['form_id'] is None):
            raise ValueError("Missing the required parameter `form_id` when calling `delete_secure_form_database_file`")  # noqa: E501
        # verify the required parameter 'row_index' is set
        if ('row_index' not in params or
                params['row_index'] is None):
            raise ValueError("Missing the required parameter `row_index` when calling `delete_secure_form_database_file`")  # noqa: E501
        # verify the required parameter 'file_index' is set
        if ('file_index' not in params or
                params['file_index'] is None):
            raise ValueError("Missing the required parameter `file_index` when calling `delete_secure_form_database_file`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'account_id' in params:
            path_params['accountId'] = params['account_id']  # noqa: E501
        if 'form_id' in params:
            path_params['formID'] = params['form_id']  # noqa: E501
        if 'row_index' in params:
            path_params['rowIndex'] = params['row_index']  # noqa: E501
        if 'file_index' in params:
            path_params['fileIndex'] = params['file_index']  # noqa: E501

        query_params = []

        header_params = {}
        if 'cookie' in params:
            header_params['Cookie'] = params['cookie']  # noqa: E501

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/account/{accountId}/secureforms/{formID}/db/{rowIndex}/file/{fileIndex}', 'DELETE',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='InlineResponse201',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def delete_secure_form_database_row(self, account_id, form_id, index, **kwargs):  # noqa: E501
        """delete_secure_form_database_row  # noqa: E501

        This function allows you to delete a row from your SecureForm database, based on the row index. This function will delete the row and any associated files.  This API call is audited: a record will be made of the particular API Integration and IP address that “deleted” each matching row (also implying that any associated files have been removed). {{ACL: Account: SecureForm Database - Delete}}  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.delete_secure_form_database_row(account_id, form_id, index, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str account_id: (required)
        :param str form_id: (required)
        :param str index: (required)
        :param str cookie:
        :return: InlineResponse201
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.delete_secure_form_database_row_with_http_info(account_id, form_id, index, **kwargs)  # noqa: E501
        else:
            (data) = self.delete_secure_form_database_row_with_http_info(account_id, form_id, index, **kwargs)  # noqa: E501
            return data

    def delete_secure_form_database_row_with_http_info(self, account_id, form_id, index, **kwargs):  # noqa: E501
        """delete_secure_form_database_row  # noqa: E501

        This function allows you to delete a row from your SecureForm database, based on the row index. This function will delete the row and any associated files.  This API call is audited: a record will be made of the particular API Integration and IP address that “deleted” each matching row (also implying that any associated files have been removed). {{ACL: Account: SecureForm Database - Delete}}  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.delete_secure_form_database_row_with_http_info(account_id, form_id, index, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str account_id: (required)
        :param str form_id: (required)
        :param str index: (required)
        :param str cookie:
        :return: InlineResponse201
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['account_id', 'form_id', 'index', 'cookie']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method delete_secure_form_database_row" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'account_id' is set
        if ('account_id' not in params or
                params['account_id'] is None):
            raise ValueError("Missing the required parameter `account_id` when calling `delete_secure_form_database_row`")  # noqa: E501
        # verify the required parameter 'form_id' is set
        if ('form_id' not in params or
                params['form_id'] is None):
            raise ValueError("Missing the required parameter `form_id` when calling `delete_secure_form_database_row`")  # noqa: E501
        # verify the required parameter 'index' is set
        if ('index' not in params or
                params['index'] is None):
            raise ValueError("Missing the required parameter `index` when calling `delete_secure_form_database_row`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'account_id' in params:
            path_params['accountId'] = params['account_id']  # noqa: E501
        if 'form_id' in params:
            path_params['formID'] = params['form_id']  # noqa: E501
        if 'index' in params:
            path_params['index'] = params['index']  # noqa: E501

        query_params = []

        header_params = {}
        if 'cookie' in params:
            header_params['Cookie'] = params['cookie']  # noqa: E501

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/account/{accountId}/secureforms/{formID}/db/rows/{index}', 'DELETE',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='InlineResponse201',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def get_secure_form(self, account_id, form_id, **kwargs):  # noqa: E501
        """get_secure_form  # noqa: E501

        Returns details on a specific SecureForm configuration, based on the configuration’s unique ID.  {{ACL: Account: SecureForm Configuration}}  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.get_secure_form(account_id, form_id, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str account_id: (required)
        :param str form_id: (required)
        :param str cookie:
        :return: InlineResponse20067
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.get_secure_form_with_http_info(account_id, form_id, **kwargs)  # noqa: E501
        else:
            (data) = self.get_secure_form_with_http_info(account_id, form_id, **kwargs)  # noqa: E501
            return data

    def get_secure_form_with_http_info(self, account_id, form_id, **kwargs):  # noqa: E501
        """get_secure_form  # noqa: E501

        Returns details on a specific SecureForm configuration, based on the configuration’s unique ID.  {{ACL: Account: SecureForm Configuration}}  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.get_secure_form_with_http_info(account_id, form_id, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str account_id: (required)
        :param str form_id: (required)
        :param str cookie:
        :return: InlineResponse20067
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['account_id', 'form_id', 'cookie']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_secure_form" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'account_id' is set
        if ('account_id' not in params or
                params['account_id'] is None):
            raise ValueError("Missing the required parameter `account_id` when calling `get_secure_form`")  # noqa: E501
        # verify the required parameter 'form_id' is set
        if ('form_id' not in params or
                params['form_id'] is None):
            raise ValueError("Missing the required parameter `form_id` when calling `get_secure_form`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'account_id' in params:
            path_params['accountId'] = params['account_id']  # noqa: E501
        if 'form_id' in params:
            path_params['formID'] = params['form_id']  # noqa: E501

        query_params = []

        header_params = {}
        if 'cookie' in params:
            header_params['Cookie'] = params['cookie']  # noqa: E501

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/account/{accountId}/secureforms/{formID}', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='InlineResponse20067',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def get_secure_form_database_file(self, account_id, form_id, row_index, file_index, **kwargs):  # noqa: E501
        """get_secure_form_database_file  # noqa: E501

        This function is used to retrieve a file associated with a row in your SecureForm database. You will need the row index and the file ID (which you can retrieve by reading the row data using other API calls).  If the file was encrypted at rest in the database, it will be decrypted for you.  This API call is audited: a record will be made of the particular API Integration and IP address that “read” each file. {{ACL: Account: SecureForm Database - Read}}  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.get_secure_form_database_file(account_id, form_id, row_index, file_index, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str account_id: (required)
        :param str form_id: (required)
        :param str row_index: (required)
        :param str file_index: (required)
        :param str cookie:
        :return: InlineResponse20071
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.get_secure_form_database_file_with_http_info(account_id, form_id, row_index, file_index, **kwargs)  # noqa: E501
        else:
            (data) = self.get_secure_form_database_file_with_http_info(account_id, form_id, row_index, file_index, **kwargs)  # noqa: E501
            return data

    def get_secure_form_database_file_with_http_info(self, account_id, form_id, row_index, file_index, **kwargs):  # noqa: E501
        """get_secure_form_database_file  # noqa: E501

        This function is used to retrieve a file associated with a row in your SecureForm database. You will need the row index and the file ID (which you can retrieve by reading the row data using other API calls).  If the file was encrypted at rest in the database, it will be decrypted for you.  This API call is audited: a record will be made of the particular API Integration and IP address that “read” each file. {{ACL: Account: SecureForm Database - Read}}  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.get_secure_form_database_file_with_http_info(account_id, form_id, row_index, file_index, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str account_id: (required)
        :param str form_id: (required)
        :param str row_index: (required)
        :param str file_index: (required)
        :param str cookie:
        :return: InlineResponse20071
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['account_id', 'form_id', 'row_index', 'file_index', 'cookie']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_secure_form_database_file" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'account_id' is set
        if ('account_id' not in params or
                params['account_id'] is None):
            raise ValueError("Missing the required parameter `account_id` when calling `get_secure_form_database_file`")  # noqa: E501
        # verify the required parameter 'form_id' is set
        if ('form_id' not in params or
                params['form_id'] is None):
            raise ValueError("Missing the required parameter `form_id` when calling `get_secure_form_database_file`")  # noqa: E501
        # verify the required parameter 'row_index' is set
        if ('row_index' not in params or
                params['row_index'] is None):
            raise ValueError("Missing the required parameter `row_index` when calling `get_secure_form_database_file`")  # noqa: E501
        # verify the required parameter 'file_index' is set
        if ('file_index' not in params or
                params['file_index'] is None):
            raise ValueError("Missing the required parameter `file_index` when calling `get_secure_form_database_file`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'account_id' in params:
            path_params['accountId'] = params['account_id']  # noqa: E501
        if 'form_id' in params:
            path_params['formID'] = params['form_id']  # noqa: E501
        if 'row_index' in params:
            path_params['rowIndex'] = params['row_index']  # noqa: E501
        if 'file_index' in params:
            path_params['fileIndex'] = params['file_index']  # noqa: E501

        query_params = []

        header_params = {}
        if 'cookie' in params:
            header_params['Cookie'] = params['cookie']  # noqa: E501

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/account/{accountId}/secureforms/{formID}/db/{rowIndex}/file/{fileIndex}', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='InlineResponse20071',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def get_secure_form_database_posts(self, account_id, form_id, **kwargs):  # noqa: E501
        """get_secure_form_database_posts  # noqa: E501

        Returns details on the posts currently stored in the database table associated with a specific SecureForm configuration. This function is recommended for use when synchronizing or periodically downloading new rows to an external source: it allows you to quickly and easily see what, if any, entries are new relative to your last actions (if you saved the last index or date when you previously downloaded data).  You can optionally pass one or more parameters to narrow down the scope of what rows are examined to produce the summary results. By default, all table rows are examined. All criteria passed as parameters are used; it is possible (and easy) to specify mutually exclusive parameters that result in no rows being examined (e.g. all rows with an index greater than 100 and less than 50). {{ACL: Account: SecureForm Database - Read}}  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.get_secure_form_database_posts(account_id, form_id, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str account_id: (required)
        :param str form_id: (required)
        :param str after_date: DATETIME. All rows added after thes pecified date time (in GMT, format “YYYY-MM-DD HH:MM:SS”).
        :param int after_index: All rows whose index is greater than the specified value
        :param str before_date: DATETIME. All rows added before the specified date time
        :param int before_index: All rows whose index is less than the specified value
        :param str from_date: DATETIME. All rows added on or after the specified date time
        :param int from_index: All rows whose index is greater than or equal to the specified value.
        :param str through_date: DATETIME. All rows added on or before the specified date time
        :param int through_index: All rows whose index is less than or equal to the specified value.
        :param str cookie:
        :return: InlineResponse20068
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.get_secure_form_database_posts_with_http_info(account_id, form_id, **kwargs)  # noqa: E501
        else:
            (data) = self.get_secure_form_database_posts_with_http_info(account_id, form_id, **kwargs)  # noqa: E501
            return data

    def get_secure_form_database_posts_with_http_info(self, account_id, form_id, **kwargs):  # noqa: E501
        """get_secure_form_database_posts  # noqa: E501

        Returns details on the posts currently stored in the database table associated with a specific SecureForm configuration. This function is recommended for use when synchronizing or periodically downloading new rows to an external source: it allows you to quickly and easily see what, if any, entries are new relative to your last actions (if you saved the last index or date when you previously downloaded data).  You can optionally pass one or more parameters to narrow down the scope of what rows are examined to produce the summary results. By default, all table rows are examined. All criteria passed as parameters are used; it is possible (and easy) to specify mutually exclusive parameters that result in no rows being examined (e.g. all rows with an index greater than 100 and less than 50). {{ACL: Account: SecureForm Database - Read}}  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.get_secure_form_database_posts_with_http_info(account_id, form_id, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str account_id: (required)
        :param str form_id: (required)
        :param str after_date: DATETIME. All rows added after thes pecified date time (in GMT, format “YYYY-MM-DD HH:MM:SS”).
        :param int after_index: All rows whose index is greater than the specified value
        :param str before_date: DATETIME. All rows added before the specified date time
        :param int before_index: All rows whose index is less than the specified value
        :param str from_date: DATETIME. All rows added on or after the specified date time
        :param int from_index: All rows whose index is greater than or equal to the specified value.
        :param str through_date: DATETIME. All rows added on or before the specified date time
        :param int through_index: All rows whose index is less than or equal to the specified value.
        :param str cookie:
        :return: InlineResponse20068
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['account_id', 'form_id', 'after_date', 'after_index', 'before_date', 'before_index', 'from_date', 'from_index', 'through_date', 'through_index', 'cookie']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_secure_form_database_posts" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'account_id' is set
        if ('account_id' not in params or
                params['account_id'] is None):
            raise ValueError("Missing the required parameter `account_id` when calling `get_secure_form_database_posts`")  # noqa: E501
        # verify the required parameter 'form_id' is set
        if ('form_id' not in params or
                params['form_id'] is None):
            raise ValueError("Missing the required parameter `form_id` when calling `get_secure_form_database_posts`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'account_id' in params:
            path_params['accountId'] = params['account_id']  # noqa: E501
        if 'form_id' in params:
            path_params['formID'] = params['form_id']  # noqa: E501

        query_params = []
        if 'after_date' in params:
            query_params.append(('after_date', params['after_date']))  # noqa: E501
        if 'after_index' in params:
            query_params.append(('after_index', params['after_index']))  # noqa: E501
        if 'before_date' in params:
            query_params.append(('before_date', params['before_date']))  # noqa: E501
        if 'before_index' in params:
            query_params.append(('before_index', params['before_index']))  # noqa: E501
        if 'from_date' in params:
            query_params.append(('from_date', params['from_date']))  # noqa: E501
        if 'from_index' in params:
            query_params.append(('from_index', params['from_index']))  # noqa: E501
        if 'through_date' in params:
            query_params.append(('through_date', params['through_date']))  # noqa: E501
        if 'through_index' in params:
            query_params.append(('through_index', params['through_index']))  # noqa: E501

        header_params = {}
        if 'cookie' in params:
            header_params['Cookie'] = params['cookie']  # noqa: E501

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/account/{accountId}/secureforms/{formID}/db', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='InlineResponse20068',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def get_secure_form_database_row(self, account_id, form_id, index, **kwargs):  # noqa: E501
        """get_secure_form_database_row  # noqa: E501

        This function works the same as “Get SecureForm Database Rows”, except that you specify the row index and get back up to 1 row. This index is the `\\_\\_index\\_\\_` field for the row.  This API call is audited: a record will be made of the particular API Integration and IP address that “read” each matching row.  {{ACL: Account: SecureForm Database - Read}}  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.get_secure_form_database_row(account_id, form_id, index, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str account_id: (required)
        :param str form_id: (required)
        :param str index: (required)
        :param str cookie:
        :return: InlineResponse20070
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.get_secure_form_database_row_with_http_info(account_id, form_id, index, **kwargs)  # noqa: E501
        else:
            (data) = self.get_secure_form_database_row_with_http_info(account_id, form_id, index, **kwargs)  # noqa: E501
            return data

    def get_secure_form_database_row_with_http_info(self, account_id, form_id, index, **kwargs):  # noqa: E501
        """get_secure_form_database_row  # noqa: E501

        This function works the same as “Get SecureForm Database Rows”, except that you specify the row index and get back up to 1 row. This index is the `\\_\\_index\\_\\_` field for the row.  This API call is audited: a record will be made of the particular API Integration and IP address that “read” each matching row.  {{ACL: Account: SecureForm Database - Read}}  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.get_secure_form_database_row_with_http_info(account_id, form_id, index, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str account_id: (required)
        :param str form_id: (required)
        :param str index: (required)
        :param str cookie:
        :return: InlineResponse20070
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['account_id', 'form_id', 'index', 'cookie']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_secure_form_database_row" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'account_id' is set
        if ('account_id' not in params or
                params['account_id'] is None):
            raise ValueError("Missing the required parameter `account_id` when calling `get_secure_form_database_row`")  # noqa: E501
        # verify the required parameter 'form_id' is set
        if ('form_id' not in params or
                params['form_id'] is None):
            raise ValueError("Missing the required parameter `form_id` when calling `get_secure_form_database_row`")  # noqa: E501
        # verify the required parameter 'index' is set
        if ('index' not in params or
                params['index'] is None):
            raise ValueError("Missing the required parameter `index` when calling `get_secure_form_database_row`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'account_id' in params:
            path_params['accountId'] = params['account_id']  # noqa: E501
        if 'form_id' in params:
            path_params['formID'] = params['form_id']  # noqa: E501
        if 'index' in params:
            path_params['index'] = params['index']  # noqa: E501

        query_params = []

        header_params = {}
        if 'cookie' in params:
            header_params['Cookie'] = params['cookie']  # noqa: E501

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/account/{accountId}/secureforms/{formID}/db/rows/{index}', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='InlineResponse20070',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def get_secure_form_database_rows(self, account_id, form_id, **kwargs):  # noqa: E501
        """get_secure_form_database_rows  # noqa: E501

        This function returns the actual content of all database rows matching your query. Encrypted database fields will be automatically decrypted and the actual values of the fields returned.  This API call is audited: a record will be made of the particular API Integration and IP address that “read” each matching row.  You can optionally pass one or more parameters to narrow down the scope of what rows are returned. These parameters are the same as those for “Get SecureForm Database Info”. {{ACL: Account: SecureForm Database - Read}}  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.get_secure_form_database_rows(account_id, form_id, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str account_id: (required)
        :param str form_id: (required)
        :param str after_date: DATETIME. All rows added after thes pecified date time (in GMT, format “YYYY-MM-DD HH:MM:SS”).
        :param int after_index: All rows whose index is greater than the specified value
        :param str before_date: DATETIME. All rows added before the specified date time
        :param int before_index: All rows whose index is less than the specified value
        :param str from_date: DATETIME. All rows added on or after the specified date time
        :param int from_index: All rows whose index is greater than or equal to the specified value.
        :param str through_date: DATETIME. All rows added on or before the specified date time
        :param int through_index: All rows whose index is less than or equal to the specified value.
        :param str cookie:
        :return: InlineResponse20069
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.get_secure_form_database_rows_with_http_info(account_id, form_id, **kwargs)  # noqa: E501
        else:
            (data) = self.get_secure_form_database_rows_with_http_info(account_id, form_id, **kwargs)  # noqa: E501
            return data

    def get_secure_form_database_rows_with_http_info(self, account_id, form_id, **kwargs):  # noqa: E501
        """get_secure_form_database_rows  # noqa: E501

        This function returns the actual content of all database rows matching your query. Encrypted database fields will be automatically decrypted and the actual values of the fields returned.  This API call is audited: a record will be made of the particular API Integration and IP address that “read” each matching row.  You can optionally pass one or more parameters to narrow down the scope of what rows are returned. These parameters are the same as those for “Get SecureForm Database Info”. {{ACL: Account: SecureForm Database - Read}}  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.get_secure_form_database_rows_with_http_info(account_id, form_id, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str account_id: (required)
        :param str form_id: (required)
        :param str after_date: DATETIME. All rows added after thes pecified date time (in GMT, format “YYYY-MM-DD HH:MM:SS”).
        :param int after_index: All rows whose index is greater than the specified value
        :param str before_date: DATETIME. All rows added before the specified date time
        :param int before_index: All rows whose index is less than the specified value
        :param str from_date: DATETIME. All rows added on or after the specified date time
        :param int from_index: All rows whose index is greater than or equal to the specified value.
        :param str through_date: DATETIME. All rows added on or before the specified date time
        :param int through_index: All rows whose index is less than or equal to the specified value.
        :param str cookie:
        :return: InlineResponse20069
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['account_id', 'form_id', 'after_date', 'after_index', 'before_date', 'before_index', 'from_date', 'from_index', 'through_date', 'through_index', 'cookie']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_secure_form_database_rows" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'account_id' is set
        if ('account_id' not in params or
                params['account_id'] is None):
            raise ValueError("Missing the required parameter `account_id` when calling `get_secure_form_database_rows`")  # noqa: E501
        # verify the required parameter 'form_id' is set
        if ('form_id' not in params or
                params['form_id'] is None):
            raise ValueError("Missing the required parameter `form_id` when calling `get_secure_form_database_rows`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'account_id' in params:
            path_params['accountId'] = params['account_id']  # noqa: E501
        if 'form_id' in params:
            path_params['formID'] = params['form_id']  # noqa: E501

        query_params = []
        if 'after_date' in params:
            query_params.append(('after_date', params['after_date']))  # noqa: E501
        if 'after_index' in params:
            query_params.append(('after_index', params['after_index']))  # noqa: E501
        if 'before_date' in params:
            query_params.append(('before_date', params['before_date']))  # noqa: E501
        if 'before_index' in params:
            query_params.append(('before_index', params['before_index']))  # noqa: E501
        if 'from_date' in params:
            query_params.append(('from_date', params['from_date']))  # noqa: E501
        if 'from_index' in params:
            query_params.append(('from_index', params['from_index']))  # noqa: E501
        if 'through_date' in params:
            query_params.append(('through_date', params['through_date']))  # noqa: E501
        if 'through_index' in params:
            query_params.append(('through_index', params['through_index']))  # noqa: E501

        header_params = {}
        if 'cookie' in params:
            header_params['Cookie'] = params['cookie']  # noqa: E501

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/account/{accountId}/secureforms/{formID}/db/rows', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='InlineResponse20069',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def get_secure_form_list(self, account_id, **kwargs):  # noqa: E501
        """get_secure_form_list  # noqa: E501

        Return a list of all SecureForm configurations currently defined in your account. {{ACL: Account: SecureForm Configuration}}  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.get_secure_form_list(account_id, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str account_id: (required)
        :param str cookie:
        :return: InlineResponse20066
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.get_secure_form_list_with_http_info(account_id, **kwargs)  # noqa: E501
        else:
            (data) = self.get_secure_form_list_with_http_info(account_id, **kwargs)  # noqa: E501
            return data

    def get_secure_form_list_with_http_info(self, account_id, **kwargs):  # noqa: E501
        """get_secure_form_list  # noqa: E501

        Return a list of all SecureForm configurations currently defined in your account. {{ACL: Account: SecureForm Configuration}}  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.get_secure_form_list_with_http_info(account_id, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str account_id: (required)
        :param str cookie:
        :return: InlineResponse20066
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['account_id', 'cookie']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_secure_form_list" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'account_id' is set
        if ('account_id' not in params or
                params['account_id'] is None):
            raise ValueError("Missing the required parameter `account_id` when calling `get_secure_form_list`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'account_id' in params:
            path_params['accountId'] = params['account_id']  # noqa: E501

        query_params = []

        header_params = {}
        if 'cookie' in params:
            header_params['Cookie'] = params['cookie']  # noqa: E501

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/account/{accountId}/secureforms', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='InlineResponse20066',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)
