# luxsci
For a technical overview, see [LuxSci API Mechanics Guide](/rest-api/mechanics.html)  Return to [The API Guide](/rest-api.html)

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: v2024.2.1
- Package version: v2024.2.1
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import luxsci 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import luxsci
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = luxsci.AuthenticationApi(luxsci.ApiClient(configuration))
body = luxsci.AuthBody() # AuthBody |  (optional)

try:
    api_response = api_instance.authentication(body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AuthenticationApi->authentication: %s\n" % e)

# create an instance of the API class
api_instance = luxsci.AuthenticationApi(luxsci.ApiClient(configuration))
cookie = 'cookie_example' # str | 

try:
    api_response = api_instance.revoke_authentication(cookie)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AuthenticationApi->revoke_authentication: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://rest.luxsci.com/perl/api/v2*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AuthenticationApi* | [**authentication**](docs/AuthenticationApi.md#authentication) | **POST** /auth | 
*AuthenticationApi* | [**revoke_authentication**](docs/AuthenticationApi.md#revoke_authentication) | **DELETE** /auth | 
*ContentLibraryApi* | [**create_content_library_directory**](docs/ContentLibraryApi.md#create_content_library_directory) | **PUT** /user/{username}/content_library/{directory} | 
*ContentLibraryApi* | [**delete_content_library_directory**](docs/ContentLibraryApi.md#delete_content_library_directory) | **DELETE** /user/{username}/content_library/{directory} | 
*ContentLibraryApi* | [**delete_content_library_file**](docs/ContentLibraryApi.md#delete_content_library_file) | **DELETE** /user/{username}/content_library/{file_path} | 
*ContentLibraryApi* | [**get_content_library_directory**](docs/ContentLibraryApi.md#get_content_library_directory) | **GET** /user/{username}/content_library/{directory} | 
*ContentLibraryApi* | [**get_content_library_file**](docs/ContentLibraryApi.md#get_content_library_file) | **GET** /user/{username}/content_library/{file_path} | 
*ContentLibraryApi* | [**upload_content_library_file**](docs/ContentLibraryApi.md#upload_content_library_file) | **PUT** /user/{username}/content_library/{file_path} | 
*DomainsApi* | [**create_domain**](docs/DomainsApi.md#create_domain) | **POST** /account/{accountId}/domains | 
*DomainsApi* | [**delete_domain**](docs/DomainsApi.md#delete_domain) | **DELETE** /account/{accountId}/domains/{domainName} | 
*DomainsApi* | [**get_domain_details**](docs/DomainsApi.md#get_domain_details) | **GET** /account/{accountId}/domains/{domainName} | 
*DomainsApi* | [**get_domains_report**](docs/DomainsApi.md#get_domains_report) | **GET** /account/{accountId}/domains | 
*DomainsApi* | [**update_domain**](docs/DomainsApi.md#update_domain) | **PUT** /account/{accountId}/domains/{domainName} | 
*EmailApi* | [**create_custom_bounce_domain**](docs/EmailApi.md#create_custom_bounce_domain) | **POST** /account/{accountId}/bounce_domain | 
*EmailApi* | [**create_dkim**](docs/EmailApi.md#create_dkim) | **POST** /account/{accountId}/dkim | 
*EmailApi* | [**delete_dkim**](docs/EmailApi.md#delete_dkim) | **DELETE** /account/{accountId}/dkim/{domainName} | 
*EmailApi* | [**delete_email_auto_responder**](docs/EmailApi.md#delete_email_auto_responder) | **DELETE** /user/{username}/email/ar/{id} | 
*EmailApi* | [**get_dkim_details**](docs/EmailApi.md#get_dkim_details) | **GET** /account/{accountId}/dkim/{domainName} | 
*EmailApi* | [**get_dkim_report**](docs/EmailApi.md#get_dkim_report) | **GET** /account/{accountId}/dkim | 
*EmailApi* | [**get_email_auto_responders**](docs/EmailApi.md#get_email_auto_responders) | **GET** /user/{username}/email/ar | 
*EmailApi* | [**new_email_auto_responder**](docs/EmailApi.md#new_email_auto_responder) | **POST** /user/{username}/email/ar | 
*EmailApi* | [**retrieve_secure_line_recipient_list_encryption_data**](docs/EmailApi.md#retrieve_secure_line_recipient_list_encryption_data) | **POST** /user/{username}/email/compose/secureline/recipients | 
*EmailApi* | [**update_email_forwarding**](docs/EmailApi.md#update_email_forwarding) | **PUT** /user/{username}/email/forwarding | 
*EmailAliasesApi* | [**create_alias**](docs/EmailAliasesApi.md#create_alias) | **POST** /account/{accountId}/aliases | 
*EmailAliasesApi* | [**delete_alias**](docs/EmailAliasesApi.md#delete_alias) | **DELETE** /account/{accountId}/aliases/{aliasAddress} | 
*EmailAliasesApi* | [**get_alias_details**](docs/EmailAliasesApi.md#get_alias_details) | **GET** /account/{accountId}/aliases/{aliasAddress} | 
*EmailAliasesApi* | [**get_aliases_report**](docs/EmailAliasesApi.md#get_aliases_report) | **GET** /account/{accountId}/aliases | 
*EmailAliasesApi* | [**update_alias**](docs/EmailAliasesApi.md#update_alias) | **PUT** /account/{accountId}/aliases/{aliasAddress} | 
*EmailSendingApi* | [**create_account_suppression**](docs/EmailSendingApi.md#create_account_suppression) | **PUT** /account/{accountId}/suppression/ | 
*EmailSendingApi* | [**create_custom_field**](docs/EmailSendingApi.md#create_custom_field) | **PUT** /user/{username}/fields | 
*EmailSendingApi* | [**create_email_content_tag**](docs/EmailSendingApi.md#create_email_content_tag) | **PUT** /user/{username}/content_tags | 
*EmailSendingApi* | [**create_email_template**](docs/EmailSendingApi.md#create_email_template) | **PUT** /user/{username}/templates | 
*EmailSendingApi* | [**create_email_template_group**](docs/EmailSendingApi.md#create_email_template_group) | **PUT** /user/{username}/template_group/{template_group_id} | 
*EmailSendingApi* | [**create_user_suppression**](docs/EmailSendingApi.md#create_user_suppression) | **PUT** /user/{username}/suppression/ | 
*EmailSendingApi* | [**delete_account_suppression**](docs/EmailSendingApi.md#delete_account_suppression) | **DELETE** /account/{accountId}/suppression/{email} | 
*EmailSendingApi* | [**delete_email_content_tag**](docs/EmailSendingApi.md#delete_email_content_tag) | **DELETE** /user/{username}/content_tags/{tag_id} | 
*EmailSendingApi* | [**delete_email_template**](docs/EmailSendingApi.md#delete_email_template) | **DELETE** /user/{username}/template/{template_id} | 
*EmailSendingApi* | [**delete_email_template_group**](docs/EmailSendingApi.md#delete_email_template_group) | **DELETE** /user/{username}/template_group/{template_group_id} | 
*EmailSendingApi* | [**delete_user_suppression**](docs/EmailSendingApi.md#delete_user_suppression) | **DELETE** /user/{username}/suppression/{email} | 
*EmailSendingApi* | [**get_account_suppression**](docs/EmailSendingApi.md#get_account_suppression) | **GET** /account/{accountId}/suppression/{email} | 
*EmailSendingApi* | [**get_account_suppression_list**](docs/EmailSendingApi.md#get_account_suppression_list) | **GET** /account/{accountId}/suppression/ | 
*EmailSendingApi* | [**get_custom_fields**](docs/EmailSendingApi.md#get_custom_fields) | **GET** /user/{username}/fields | 
*EmailSendingApi* | [**get_domain_smtp_tls_capability**](docs/EmailSendingApi.md#get_domain_smtp_tls_capability) | **GET** /user/{username}/email/compose/secureline/tls/{domain} | 
*EmailSendingApi* | [**get_email_content_tag**](docs/EmailSendingApi.md#get_email_content_tag) | **GET** /user/{username}/content_tags/{tag_id} | 
*EmailSendingApi* | [**get_email_content_tag_list**](docs/EmailSendingApi.md#get_email_content_tag_list) | **GET** /user/{username}/content_tags | 
*EmailSendingApi* | [**get_email_template**](docs/EmailSendingApi.md#get_email_template) | **GET** /user/{username}/template/{template_id} | 
*EmailSendingApi* | [**get_email_template_groups**](docs/EmailSendingApi.md#get_email_template_groups) | **GET** /user/{username}/template_groups | 
*EmailSendingApi* | [**get_email_template_list**](docs/EmailSendingApi.md#get_email_template_list) | **GET** /user/{username}/templates | 
*EmailSendingApi* | [**get_user_suppression**](docs/EmailSendingApi.md#get_user_suppression) | **GET** /user/{username}/suppression/{email} | 
*EmailSendingApi* | [**get_user_suppression_list**](docs/EmailSendingApi.md#get_user_suppression_list) | **GET** /user/{username}/suppression/ | 
*EmailSendingApi* | [**send_email**](docs/EmailSendingApi.md#send_email) | **POST** /user/{username}/email/send | 
*EmailSendingApi* | [**send_secure_email_or_secure_text**](docs/EmailSendingApi.md#send_secure_email_or_secure_text) | **POST** /user/{username}/email/compose/secureline/send | 
*EmailSendingApi* | [**update_email_content_tag**](docs/EmailSendingApi.md#update_email_content_tag) | **POST** /user/{username}/content_tags/{tag_id} | 
*EmailSendingApi* | [**update_email_template**](docs/EmailSendingApi.md#update_email_template) | **POST** /user/{username}/template/{template_id} | 
*EmailSendingApi* | [**update_email_template_group**](docs/EmailSendingApi.md#update_email_template_group) | **POST** /user/{username}/template_group/{template_group_id} | 
*MarketingApi* | [**add_marketing_campaign**](docs/MarketingApi.md#add_marketing_campaign) | **POST** /account/{accountId}/marketing/addCampaign | 
*MarketingApi* | [**add_marketing_contact**](docs/MarketingApi.md#add_marketing_contact) | **POST** /account/{accountId}/marketing/addContact | 
*MarketingApi* | [**add_marketing_contacts**](docs/MarketingApi.md#add_marketing_contacts) | **POST** /account/{accountId}/marketing/addContacts | 
*MarketingApi* | [**add_marketing_list**](docs/MarketingApi.md#add_marketing_list) | **POST** /account/{accountId}/marketing/addList | 
*MarketingApi* | [**add_new_marketing_suppression**](docs/MarketingApi.md#add_new_marketing_suppression) | **POST** /account/{accountId}/marketing/suppress | 
*MarketingApi* | [**delete_marketing_campaign**](docs/MarketingApi.md#delete_marketing_campaign) | **DELETE** /account/{accountId}/marketing/deleteCampaign/{id} | 
*MarketingApi* | [**delete_marketing_contact_by_id**](docs/MarketingApi.md#delete_marketing_contact_by_id) | **DELETE** /account/{accountId}/marketing/deleteContact/{id} | 
*MarketingApi* | [**delete_marketing_list**](docs/MarketingApi.md#delete_marketing_list) | **DELETE** /account/{accountId}/marketing/deleteList/{id} | 
*MarketingApi* | [**delete_marketing_list_group**](docs/MarketingApi.md#delete_marketing_list_group) | **DELETE** /account/{accountId}/deleteListGroup/{id} | 
*MarketingApi* | [**delete_marketing_suppression**](docs/MarketingApi.md#delete_marketing_suppression) | **DELETE** /account/{accountId}/marketing/deleteSuppressed/{type} | 
*MarketingApi* | [**get_marketing_campaign_bounced_statistics**](docs/MarketingApi.md#get_marketing_campaign_bounced_statistics) | **GET** /account/{accountId}/marketing/getCampaignStatsBounced/{schedule_id} | 
*MarketingApi* | [**get_marketing_campaign_clicked_statistics**](docs/MarketingApi.md#get_marketing_campaign_clicked_statistics) | **GET** /account/{accountId}/marketing/getCampaignStatsClicked/{schedule_id} | 
*MarketingApi* | [**get_marketing_campaign_groups**](docs/MarketingApi.md#get_marketing_campaign_groups) | **GET** /account/{accountId}/marketing/getMarketingCampaignGroups | 
*MarketingApi* | [**get_marketing_campaign_opened_statistics**](docs/MarketingApi.md#get_marketing_campaign_opened_statistics) | **GET** /account/{accountId}/marketing/getCampaignStatsOpened/{schedule_id} | 
*MarketingApi* | [**get_marketing_campaign_statistics_summary**](docs/MarketingApi.md#get_marketing_campaign_statistics_summary) | **GET** /account/{accountId}/marketing/getCampaignStatsSummary/{schedule_id} | 
*MarketingApi* | [**get_marketing_campaign_unsubscribed_statistics**](docs/MarketingApi.md#get_marketing_campaign_unsubscribed_statistics) | **GET** /account/{accountId}/marketing/getCampaignStatsUnsubscribed/{schedule_id} | 
*MarketingApi* | [**get_marketing_campaigns**](docs/MarketingApi.md#get_marketing_campaigns) | **GET** /account/{accountId}/marketing/getCampaigns | 
*MarketingApi* | [**get_marketing_contact_by_id**](docs/MarketingApi.md#get_marketing_contact_by_id) | **GET** /account/{accountId}/marketing/getContact/{id} | 
*MarketingApi* | [**get_marketing_contacts**](docs/MarketingApi.md#get_marketing_contacts) | **GET** /account/{accountId}/marketing/getContacts | 
*MarketingApi* | [**get_marketing_list_groups**](docs/MarketingApi.md#get_marketing_list_groups) | **GET** /account/{accountId}/marketing/getMarketingListGroups | 
*MarketingApi* | [**get_marketing_lists**](docs/MarketingApi.md#get_marketing_lists) | **GET** /account/{accountId}/marketing/getLists | 
*MarketingApi* | [**get_marketing_scheduled_campaigns**](docs/MarketingApi.md#get_marketing_scheduled_campaigns) | **GET** /account/{accountId}/marketing/getMarketingScheduledCampaigns | 
*MarketingApi* | [**get_marketing_suppressions**](docs/MarketingApi.md#get_marketing_suppressions) | **GET** /account/{accountId}/marketing/getSuppressed | 
*MarketingApi* | [**mark_contact_as_unsubscribed**](docs/MarketingApi.md#mark_contact_as_unsubscribed) | **PUT** /account/{accountId}/markAsUnsubscribed/{id} | 
*MarketingApi* | [**schedule_marketing_campaign**](docs/MarketingApi.md#schedule_marketing_campaign) | **POST** /account/{accountId}/marketing/campaignSchedule | 
*MarketingApi* | [**update_marketing_campaign**](docs/MarketingApi.md#update_marketing_campaign) | **PUT** /account/{accountId}/marketing/updateCampaign/{id} | 
*MarketingApi* | [**update_marketing_contact_by_email**](docs/MarketingApi.md#update_marketing_contact_by_email) | **PUT** /account/{accountId}/marketing/updateContact/{email} | 
*MarketingApi* | [**update_marketing_contact_by_id**](docs/MarketingApi.md#update_marketing_contact_by_id) | **PUT** /account/{accountId}/marketing/updateContact/{id} | 
*MarketingApi* | [**update_marketing_list**](docs/MarketingApi.md#update_marketing_list) | **PUT** /account/{accountId}/marketing/updateList/{id} | 
*Marketing3Api* | [**add_campaign**](docs/Marketing3Api.md#add_campaign) | **POST** /user/{username}/marketing/campaigns | 
*Marketing3Api* | [**add_contact**](docs/Marketing3Api.md#add_contact) | **POST** /user/{username}/marketing/contact | 
*Marketing3Api* | [**add_contacts**](docs/Marketing3Api.md#add_contacts) | **POST** /user/{username}/marketing/contacts | 
*Marketing3Api* | [**add_list**](docs/Marketing3Api.md#add_list) | **POST** /user/{username}/marketing/list | 
*Marketing3Api* | [**add_list_group**](docs/Marketing3Api.md#add_list_group) | **PUT** /user/{username}/marketing/list_group/{list_group_id} | 
*Marketing3Api* | [**delete_campaign**](docs/Marketing3Api.md#delete_campaign) | **DELETE** /user/{username}/marketing/campaign/{campaign_id} | 
*Marketing3Api* | [**delete_contact**](docs/Marketing3Api.md#delete_contact) | **DELETE** /user/{username}/marketing/contact/{contact_id} | 
*Marketing3Api* | [**delete_list**](docs/Marketing3Api.md#delete_list) | **DELETE** /user/{username}/marketing/list/{list_id} | 
*Marketing3Api* | [**delete_list_group**](docs/Marketing3Api.md#delete_list_group) | **DELETE** /user/{username}/marketing/list_group/{list_group_id} | 
*Marketing3Api* | [**get_campaign**](docs/Marketing3Api.md#get_campaign) | **GET** /user/{username}/marketing/campaign/{campaign_id} | 
*Marketing3Api* | [**get_campaigns**](docs/Marketing3Api.md#get_campaigns) | **GET** /user/{username}/marketing/campaigns | 
*Marketing3Api* | [**get_contact**](docs/Marketing3Api.md#get_contact) | **GET** /user/{username}/marketing/contact/{contact_id} | 
*Marketing3Api* | [**get_contacts**](docs/Marketing3Api.md#get_contacts) | **GET** /user/{username}/marketing/contacts | 
*Marketing3Api* | [**get_list**](docs/Marketing3Api.md#get_list) | **GET** /user/{username}/marketing/list/{list_id} | 
*Marketing3Api* | [**get_list_groups**](docs/Marketing3Api.md#get_list_groups) | **GET** /user/{username}/marketing/list_groups | 
*Marketing3Api* | [**get_lists**](docs/Marketing3Api.md#get_lists) | **GET** /user/{username}/marketing/lists | 
*Marketing3Api* | [**get_report_bounced**](docs/Marketing3Api.md#get_report_bounced) | **GET** /user/{username}/marketing/report/bounced | 
*Marketing3Api* | [**get_report_clicked**](docs/Marketing3Api.md#get_report_clicked) | **GET** /user/{username}/marketing/report/clicked | 
*Marketing3Api* | [**get_report_complaints**](docs/Marketing3Api.md#get_report_complaints) | **GET** /user/{username}/marketing/report/complaints | 
*Marketing3Api* | [**get_report_logs**](docs/Marketing3Api.md#get_report_logs) | **GET** /user/{username}/marketing/report/logs | 
*Marketing3Api* | [**get_report_opened**](docs/Marketing3Api.md#get_report_opened) | **GET** /user/{username}/marketing/report/opened | 
*Marketing3Api* | [**get_report_unsubscribed**](docs/Marketing3Api.md#get_report_unsubscribed) | **GET** /user/{username}/marketing/report/unsubscribed | 
*Marketing3Api* | [**get_report_urls**](docs/Marketing3Api.md#get_report_urls) | **GET** /user/{username}/marketing/report/urls | 
*Marketing3Api* | [**update_campaign**](docs/Marketing3Api.md#update_campaign) | **PUT** /user/{username}/marketing/campaign/{campaign_id} | 
*Marketing3Api* | [**update_contact**](docs/Marketing3Api.md#update_contact) | **PUT** /user/{username}/marketing/contact/{contact_id} | 
*Marketing3Api* | [**update_list**](docs/Marketing3Api.md#update_list) | **PUT** /user/{username}/marketing/list/{list_id} | 
*Marketing3Api* | [**update_list_group**](docs/Marketing3Api.md#update_list_group) | **POST** /user/{username}/marketing/list_group/{list_group_id} | 
*ReportsApi* | [**get_account_job**](docs/ReportsApi.md#get_account_job) | **GET** /account/{accountId}/job/{job_id} | 
*ReportsApi* | [**get_account_jobs**](docs/ReportsApi.md#get_account_jobs) | **GET** /account/{accountId}/jobs | 
*ReportsApi* | [**get_account_suppression_report**](docs/ReportsApi.md#get_account_suppression_report) | **GET** /account/{accountId}/suppression_v2/ | 
*ReportsApi* | [**get_account_suppression_summary_report**](docs/ReportsApi.md#get_account_suppression_summary_report) | **GET** /account/{accountId}/suppression_count/ | 
*ReportsApi* | [**get_email_feed_back_loops_report_account**](docs/ReportsApi.md#get_email_feed_back_loops_report_account) | **GET** /account/{accountId}/report/email/fbl | 
*ReportsApi* | [**get_email_feed_back_loops_summary_report_account**](docs/ReportsApi.md#get_email_feed_back_loops_summary_report_account) | **GET** /account/{accountId}/report/email/fbl_count | 
*ReportsApi* | [**get_email_smtp_click_report_account**](docs/ReportsApi.md#get_email_smtp_click_report_account) | **GET** /account/{accountId}/report/email/smtp/clicks | 
*ReportsApi* | [**get_email_smtp_click_summary_report_account**](docs/ReportsApi.md#get_email_smtp_click_summary_report_account) | **GET** /account/{accountId}/report/email/smtp/clicks_count | 
*ReportsApi* | [**get_email_smtp_delivery_status_report_account**](docs/ReportsApi.md#get_email_smtp_delivery_status_report_account) | **GET** /account/{accountId}/report/email/smtp/delivery | 
*ReportsApi* | [**get_email_smtp_delivery_status_summary_report_account**](docs/ReportsApi.md#get_email_smtp_delivery_status_summary_report_account) | **GET** /account/{accountId}/report/email/smtp/delivery_count | 
*ReportsApi* | [**get_email_smtp_open_report_account**](docs/ReportsApi.md#get_email_smtp_open_report_account) | **GET** /account/{accountId}/report/email/smtp/opens | 
*ReportsApi* | [**get_email_smtp_open_summary_report_account**](docs/ReportsApi.md#get_email_smtp_open_summary_report_account) | **GET** /account/{accountId}/report/email/smtp/opens_count | 
*ReportsApi* | [**get_email_smtp_sent_report_account**](docs/ReportsApi.md#get_email_smtp_sent_report_account) | **GET** /account/{accountId}/report/email/smtp/sent | 
*ReportsApi* | [**get_email_smtp_temp_fail_report_account**](docs/ReportsApi.md#get_email_smtp_temp_fail_report_account) | **GET** /account/{accountId}/report/email/smtp/temp_fail | 
*ReportsApi* | [**get_email_web_mail_click_report_account**](docs/ReportsApi.md#get_email_web_mail_click_report_account) | **GET** /account/{accountId}/report/email/webmail/clicks | 
*ReportsApi* | [**get_email_web_mail_delivery_status_report_account**](docs/ReportsApi.md#get_email_web_mail_delivery_status_report_account) | **GET** /account/{accountId}/report/email/webmail/delivery | 
*ReportsApi* | [**get_email_web_mail_open_report_account**](docs/ReportsApi.md#get_email_web_mail_open_report_account) | **GET** /account/{accountId}/report/email/webmail/opens | 
*ReportsApi* | [**get_email_web_mail_sent_report_account**](docs/ReportsApi.md#get_email_web_mail_sent_report_account) | **GET** /account/{accountId}/report/email/webmail/sent | 
*ReportsApi* | [**get_smtp_login_failure_report_account**](docs/ReportsApi.md#get_smtp_login_failure_report_account) | **GET** /account/{accountId}/report/login_fail/smtp | 
*SecureFormApi* | [**delete_secure_form_database_file**](docs/SecureFormApi.md#delete_secure_form_database_file) | **DELETE** /account/{accountId}/secureforms/{formID}/db/{rowIndex}/file/{fileIndex} | 
*SecureFormApi* | [**delete_secure_form_database_row**](docs/SecureFormApi.md#delete_secure_form_database_row) | **DELETE** /account/{accountId}/secureforms/{formID}/db/rows/{index} | 
*SecureFormApi* | [**get_secure_form**](docs/SecureFormApi.md#get_secure_form) | **GET** /account/{accountId}/secureforms/{formID} | 
*SecureFormApi* | [**get_secure_form_database_file**](docs/SecureFormApi.md#get_secure_form_database_file) | **GET** /account/{accountId}/secureforms/{formID}/db/{rowIndex}/file/{fileIndex} | 
*SecureFormApi* | [**get_secure_form_database_posts**](docs/SecureFormApi.md#get_secure_form_database_posts) | **GET** /account/{accountId}/secureforms/{formID}/db | 
*SecureFormApi* | [**get_secure_form_database_row**](docs/SecureFormApi.md#get_secure_form_database_row) | **GET** /account/{accountId}/secureforms/{formID}/db/rows/{index} | 
*SecureFormApi* | [**get_secure_form_database_rows**](docs/SecureFormApi.md#get_secure_form_database_rows) | **GET** /account/{accountId}/secureforms/{formID}/db/rows | 
*SecureFormApi* | [**get_secure_form_list**](docs/SecureFormApi.md#get_secure_form_list) | **GET** /account/{accountId}/secureforms | 
*SecureSendApi* | [**change_secure_send_user_password**](docs/SecureSendApi.md#change_secure_send_user_password) | **PUT** /account/{accountId}/pl/namespaces/{namespaceId}/users/{username}/password | 
*SecureSendApi* | [**create_or_update_secure_send_user**](docs/SecureSendApi.md#create_or_update_secure_send_user) | **PUT** /account/{accountId}/pl/namespaces/{namespaceId}/users/{username} | 
*SecureSendApi* | [**get_secure_send_user_list**](docs/SecureSendApi.md#get_secure_send_user_list) | **GET** /account/{accountId}/pl/namespaces/{namespaceId}/users | 
*SecureSendApi* | [**get_secure_send_user_single_sign_on_link**](docs/SecureSendApi.md#get_secure_send_user_single_sign_on_link) | **GET** /account/{accountId}/pl/namespaces/{namespaceId}/users/{username}/password | 
*ServersApi* | [**get_server_status**](docs/ServersApi.md#get_server_status) | **GET** /account/{accountId}/server/{serverId} | 
*ServersApi* | [**get_servers**](docs/ServersApi.md#get_servers) | **GET** /account/{accountId}/servers | 
*ServersApi* | [**server_empty_all_email_queues**](docs/ServersApi.md#server_empty_all_email_queues) | **DELETE** /account/{accountId}/server/{serverId}/sending_queues/all | 
*ServersApi* | [**server_empty_email_queues**](docs/ServersApi.md#server_empty_email_queues) | **DELETE** /account/{accountId}/server/{serverId}/sending_queues | 
*ServersApi* | [**set_server_sendng_rate**](docs/ServersApi.md#set_server_sendng_rate) | **POST** /account/{accountId}/server/{serverId}/sending_rate | 
*UserReportsApi* | [**get_email_feed_back_loops_report_user**](docs/UserReportsApi.md#get_email_feed_back_loops_report_user) | **GET** /user/{username}/report/email/fbl | 
*UserReportsApi* | [**get_email_feed_back_loops_summary_report_user**](docs/UserReportsApi.md#get_email_feed_back_loops_summary_report_user) | **GET** /user/{username}/report/email/fbl_count | 
*UserReportsApi* | [**get_email_smtp_click_report_user**](docs/UserReportsApi.md#get_email_smtp_click_report_user) | **GET** /user/{username}/report/email/smtp/clicks | 
*UserReportsApi* | [**get_email_smtp_click_summary_report_user**](docs/UserReportsApi.md#get_email_smtp_click_summary_report_user) | **GET** /user/{username}/report/email/smtp/clicks_count | 
*UserReportsApi* | [**get_email_smtp_delivery_status_report_user**](docs/UserReportsApi.md#get_email_smtp_delivery_status_report_user) | **GET** /user/{username}/report/email/smtp/delivery | 
*UserReportsApi* | [**get_email_smtp_delivery_status_summary_report_user**](docs/UserReportsApi.md#get_email_smtp_delivery_status_summary_report_user) | **GET** /user/{username}/report/email/smtp/delivery_count | 
*UserReportsApi* | [**get_email_smtp_login_failure_report_user**](docs/UserReportsApi.md#get_email_smtp_login_failure_report_user) | **GET** /user/{username}/report/login_fail/smtp | 
*UserReportsApi* | [**get_email_smtp_open_report_user**](docs/UserReportsApi.md#get_email_smtp_open_report_user) | **GET** /user/{username}/report/email/smtp/opens | 
*UserReportsApi* | [**get_email_smtp_open_summary_report_user**](docs/UserReportsApi.md#get_email_smtp_open_summary_report_user) | **GET** /user/{username}/report/email/smtp/opens_count | 
*UserReportsApi* | [**get_email_smtp_sent_report_user**](docs/UserReportsApi.md#get_email_smtp_sent_report_user) | **GET** /user/{username}/report/email/smtp/sent | 
*UserReportsApi* | [**get_email_smtp_temp_fail_report_user**](docs/UserReportsApi.md#get_email_smtp_temp_fail_report_user) | **GET** /user/{username}/report/email/smtp/temp_fail | 
*UserReportsApi* | [**get_email_web_mail_click_report_user**](docs/UserReportsApi.md#get_email_web_mail_click_report_user) | **GET** /user/{username}/report/email/webmail/clicks | 
*UserReportsApi* | [**get_email_web_mail_delivery_status_report_user**](docs/UserReportsApi.md#get_email_web_mail_delivery_status_report_user) | **GET** /user/{username}/report/email/webmail/delivery | 
*UserReportsApi* | [**get_email_web_mail_open_report_user**](docs/UserReportsApi.md#get_email_web_mail_open_report_user) | **GET** /user/{username}/report/email/webmail/opens | 
*UserReportsApi* | [**get_email_web_mail_sent_report_user**](docs/UserReportsApi.md#get_email_web_mail_sent_report_user) | **GET** /user/{username}/report/email/webmail/sent | 
*UserReportsApi* | [**get_user_job**](docs/UserReportsApi.md#get_user_job) | **GET** /user/{username}/job/{job_id} | 
*UserReportsApi* | [**get_user_jobs**](docs/UserReportsApi.md#get_user_jobs) | **GET** /user/{username}/jobs | 
*UserReportsApi* | [**get_user_suppression_report**](docs/UserReportsApi.md#get_user_suppression_report) | **GET** /user/{username}/suppression_v2/ | 
*UserReportsApi* | [**get_user_suppression_summary_report**](docs/UserReportsApi.md#get_user_suppression_summary_report) | **GET** /user/{username}/suppression_count/ | 
*UsersApi* | [**change_user_password**](docs/UsersApi.md#change_user_password) | **PUT** /user/{username}/password | 
*UsersApi* | [**create_app_specific_password**](docs/UsersApi.md#create_app_specific_password) | **POST** /user/{username}/app-password/{suffix} | 
*UsersApi* | [**create_user**](docs/UsersApi.md#create_user) | **POST** /account/{accountId}/users | 
*UsersApi* | [**delete_app_specific_password**](docs/UsersApi.md#delete_app_specific_password) | **DELETE** /user/{username}/app-password/{suffix} | 
*UsersApi* | [**delete_user**](docs/UsersApi.md#delete_user) | **DELETE** /account/{accountId}/users/{username} | 
*UsersApi* | [**get_time_zones_list**](docs/UsersApi.md#get_time_zones_list) | **GET** /user/{username}/settings/timezones | 
*UsersApi* | [**get_user**](docs/UsersApi.md#get_user) | **GET** /user/{username} | 
*UsersApi* | [**get_user_branding_information**](docs/UsersApi.md#get_user_branding_information) | **GET** /user/{username}/branding | 
*UsersApi* | [**get_user_profile**](docs/UsersApi.md#get_user_profile) | **GET** /user/{username}/profile | 
*UsersApi* | [**get_user_report**](docs/UsersApi.md#get_user_report) | **GET** /account/{accountId}/users | 
*UsersApi* | [**get_user_report2**](docs/UsersApi.md#get_user_report2) | **GET** /account/{accountId}/users/report | 
*UsersApi* | [**get_user_settings**](docs/UsersApi.md#get_user_settings) | **GET** /user/{username}/settings | 
*UsersApi* | [**get_user_single_sign_on_login_url**](docs/UsersApi.md#get_user_single_sign_on_login_url) | **GET** /user/{username}/password | 
*UsersApi* | [**get_user_summary_report**](docs/UsersApi.md#get_user_summary_report) | **GET** /account/{accountId}/users/report_count | 
*UsersApi* | [**list_all_app_specific_password**](docs/UsersApi.md#list_all_app_specific_password) | **GET** /user/{username}/app-password | 
*UsersApi* | [**list_app_specific_passwords**](docs/UsersApi.md#list_app_specific_passwords) | **GET** /user/{username}/app-password/{suffix} | 
*UsersApi* | [**rename_user**](docs/UsersApi.md#rename_user) | **POST** /account/{accountId}/users/{username}/rename | 
*UsersApi* | [**update_user**](docs/UsersApi.md#update_user) | **PUT** /user/{username} | 
*UsersApi* | [**update_user_profile**](docs/UsersApi.md#update_user_profile) | **PUT** /user/{username}/profile | 
*UsersApi* | [**update_user_settings**](docs/UsersApi.md#update_user_settings) | **PUT** /account/{accountId}/users/{username} | 
*WebAidesApi* | [**add_update_web_aide_entries**](docs/WebAidesApi.md#add_update_web_aide_entries) | **POST** /user/{username}/webaides/{webaide_type}/{webaide_id}/entries/import | 
*WebAidesApi* | [**delete_web_aide**](docs/WebAidesApi.md#delete_web_aide) | **DELETE** /user/{username}/webaides/{webaide_type}/{webaide_id} | 
*WebAidesApi* | [**delete_web_aide_entries**](docs/WebAidesApi.md#delete_web_aide_entries) | **POST** /user/{username}/webaides/{webaide_type}/{webaide_id}/entries/delete | 
*WebAidesApi* | [**delete_web_aide_entry**](docs/WebAidesApi.md#delete_web_aide_entry) | **DELETE** /user/{username}/webaides/{webaide_type}/{webaide_id}/{entry_id} | 
*WebAidesApi* | [**get_calendar_entries_date_range**](docs/WebAidesApi.md#get_calendar_entries_date_range) | **GET** /user/{username}/webaides/calendar/{webaide_id}/entries/date_range | 
*WebAidesApi* | [**get_web_aide**](docs/WebAidesApi.md#get_web_aide) | **GET** /user/{username}/webaides/{webaide_type}/{webaide_id} | 
*WebAidesApi* | [**get_web_aide_changes**](docs/WebAidesApi.md#get_web_aide_changes) | **GET** /user/{username}/webaides/{webaide_type}/{webaide_id}/entries/changes | 
*WebAidesApi* | [**get_web_aide_entries**](docs/WebAidesApi.md#get_web_aide_entries) | **GET** /user/{username}/webaides/{webaide_type}/{webaide_id}/entries | 
*WebAidesApi* | [**get_web_aide_entry**](docs/WebAidesApi.md#get_web_aide_entry) | **GET** /user/{username}/webaides/{webaide_type}/{webaide_id}/{entry_id} | 
*WebAidesApi* | [**get_web_aides**](docs/WebAidesApi.md#get_web_aides) | **GET** /user/{username}/webaides/{webaide_type} | 
*WebAidesApi* | [**new_web_aide**](docs/WebAidesApi.md#new_web_aide) | **POST** /user/{username}/webaides/{webaide_type} | 
*WebAidesApi* | [**new_web_aide_entry**](docs/WebAidesApi.md#new_web_aide_entry) | **POST** /user/{username}/webaides/{webaide_type}/{webaide_id} | 
*WebAidesApi* | [**update_web_aide_entry**](docs/WebAidesApi.md#update_web_aide_entry) | **PUT** /user/{username}/webaides/{webaide_type}/{webaide_id}/{entry_id} | 

## Documentation For Models

 - [AccountIdAliasesBody](docs/AccountIdAliasesBody.md)
 - [AccountIdBounceDomainBody](docs/AccountIdBounceDomainBody.md)
 - [AccountIdDkimBody](docs/AccountIdDkimBody.md)
 - [AccountIdDomainsBody](docs/AccountIdDomainsBody.md)
 - [AccountIdUsersBody](docs/AccountIdUsersBody.md)
 - [AccountaccountIdaliasesAliases](docs/AccountaccountIdaliasesAliases.md)
 - [Alias](docs/Alias.md)
 - [AliasesAliasAddressBody](docs/AliasesAliasAddressBody.md)
 - [AllOfinlineResponse20075Data](docs/AllOfinlineResponse20075Data.md)
 - [AnyOfinlineResponse20070DataRow](docs/AnyOfinlineResponse20070DataRow.md)
 - [ApppasswordSuffixBody](docs/ApppasswordSuffixBody.md)
 - [AuthBody](docs/AuthBody.md)
 - [Campaign](docs/Campaign.md)
 - [Contact](docs/Contact.md)
 - [ContentLibraryFilePathBody](docs/ContentLibraryFilePathBody.md)
 - [ContentLibraryMeta](docs/ContentLibraryMeta.md)
 - [ContentTag](docs/ContentTag.md)
 - [DkimReport](docs/DkimReport.md)
 - [DomainReport](docs/DomainReport.md)
 - [DomainsDomainNameBody](docs/DomainsDomainNameBody.md)
 - [EmailArBody](docs/EmailArBody.md)
 - [EmailForwardingBody](docs/EmailForwardingBody.md)
 - [EmailSendBody](docs/EmailSendBody.md)
 - [EmailSendBody1](docs/EmailSendBody1.md)
 - [EntriesDeleteBody](docs/EntriesDeleteBody.md)
 - [EntriesImportBody](docs/EntriesImportBody.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse20010](docs/InlineResponse20010.md)
 - [InlineResponse20010Data](docs/InlineResponse20010Data.md)
 - [InlineResponse20011](docs/InlineResponse20011.md)
 - [InlineResponse20011Data](docs/InlineResponse20011Data.md)
 - [InlineResponse20012](docs/InlineResponse20012.md)
 - [InlineResponse20013](docs/InlineResponse20013.md)
 - [InlineResponse20013Data](docs/InlineResponse20013Data.md)
 - [InlineResponse20014](docs/InlineResponse20014.md)
 - [InlineResponse20014Data](docs/InlineResponse20014Data.md)
 - [InlineResponse20015](docs/InlineResponse20015.md)
 - [InlineResponse20015Data](docs/InlineResponse20015Data.md)
 - [InlineResponse20016](docs/InlineResponse20016.md)
 - [InlineResponse20016Data](docs/InlineResponse20016Data.md)
 - [InlineResponse20017](docs/InlineResponse20017.md)
 - [InlineResponse20017Data](docs/InlineResponse20017Data.md)
 - [InlineResponse20018](docs/InlineResponse20018.md)
 - [InlineResponse20018Data](docs/InlineResponse20018Data.md)
 - [InlineResponse20019](docs/InlineResponse20019.md)
 - [InlineResponse20019Data](docs/InlineResponse20019Data.md)
 - [InlineResponse2001Data](docs/InlineResponse2001Data.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse20020](docs/InlineResponse20020.md)
 - [InlineResponse20020Data](docs/InlineResponse20020Data.md)
 - [InlineResponse20021](docs/InlineResponse20021.md)
 - [InlineResponse20022](docs/InlineResponse20022.md)
 - [InlineResponse20023](docs/InlineResponse20023.md)
 - [InlineResponse20023Data](docs/InlineResponse20023Data.md)
 - [InlineResponse20024](docs/InlineResponse20024.md)
 - [InlineResponse20024Data](docs/InlineResponse20024Data.md)
 - [InlineResponse20025](docs/InlineResponse20025.md)
 - [InlineResponse20025Data](docs/InlineResponse20025Data.md)
 - [InlineResponse20026](docs/InlineResponse20026.md)
 - [InlineResponse20026Data](docs/InlineResponse20026Data.md)
 - [InlineResponse20027](docs/InlineResponse20027.md)
 - [InlineResponse20027Data](docs/InlineResponse20027Data.md)
 - [InlineResponse20028](docs/InlineResponse20028.md)
 - [InlineResponse20028Data](docs/InlineResponse20028Data.md)
 - [InlineResponse20029](docs/InlineResponse20029.md)
 - [InlineResponse20029Data](docs/InlineResponse20029Data.md)
 - [InlineResponse2002Data](docs/InlineResponse2002Data.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse20030](docs/InlineResponse20030.md)
 - [InlineResponse20030Data](docs/InlineResponse20030Data.md)
 - [InlineResponse20031](docs/InlineResponse20031.md)
 - [InlineResponse20031Data](docs/InlineResponse20031Data.md)
 - [InlineResponse20032](docs/InlineResponse20032.md)
 - [InlineResponse20032Data](docs/InlineResponse20032Data.md)
 - [InlineResponse20033](docs/InlineResponse20033.md)
 - [InlineResponse20034](docs/InlineResponse20034.md)
 - [InlineResponse20035](docs/InlineResponse20035.md)
 - [InlineResponse20035Data](docs/InlineResponse20035Data.md)
 - [InlineResponse20036](docs/InlineResponse20036.md)
 - [InlineResponse20037](docs/InlineResponse20037.md)
 - [InlineResponse20037Data](docs/InlineResponse20037Data.md)
 - [InlineResponse20038](docs/InlineResponse20038.md)
 - [InlineResponse20038Data](docs/InlineResponse20038Data.md)
 - [InlineResponse20039](docs/InlineResponse20039.md)
 - [InlineResponse20039Data](docs/InlineResponse20039Data.md)
 - [InlineResponse20039DataContacts](docs/InlineResponse20039DataContacts.md)
 - [InlineResponse2004](docs/InlineResponse2004.md)
 - [InlineResponse20040](docs/InlineResponse20040.md)
 - [InlineResponse20040Data](docs/InlineResponse20040Data.md)
 - [InlineResponse20041](docs/InlineResponse20041.md)
 - [InlineResponse20042](docs/InlineResponse20042.md)
 - [InlineResponse20042Data](docs/InlineResponse20042Data.md)
 - [InlineResponse20043](docs/InlineResponse20043.md)
 - [InlineResponse20044](docs/InlineResponse20044.md)
 - [InlineResponse20044Data](docs/InlineResponse20044Data.md)
 - [InlineResponse20045](docs/InlineResponse20045.md)
 - [InlineResponse20045Data](docs/InlineResponse20045Data.md)
 - [InlineResponse20046](docs/InlineResponse20046.md)
 - [InlineResponse20047](docs/InlineResponse20047.md)
 - [InlineResponse20048](docs/InlineResponse20048.md)
 - [InlineResponse20048Data](docs/InlineResponse20048Data.md)
 - [InlineResponse20049](docs/InlineResponse20049.md)
 - [InlineResponse2004Data](docs/InlineResponse2004Data.md)
 - [InlineResponse2005](docs/InlineResponse2005.md)
 - [InlineResponse20050](docs/InlineResponse20050.md)
 - [InlineResponse20051](docs/InlineResponse20051.md)
 - [InlineResponse20052](docs/InlineResponse20052.md)
 - [InlineResponse20053](docs/InlineResponse20053.md)
 - [InlineResponse20053Data](docs/InlineResponse20053Data.md)
 - [InlineResponse20054](docs/InlineResponse20054.md)
 - [InlineResponse20054Data](docs/InlineResponse20054Data.md)
 - [InlineResponse20055](docs/InlineResponse20055.md)
 - [InlineResponse20056](docs/InlineResponse20056.md)
 - [InlineResponse20056Data](docs/InlineResponse20056Data.md)
 - [InlineResponse20057](docs/InlineResponse20057.md)
 - [InlineResponse20057Data](docs/InlineResponse20057Data.md)
 - [InlineResponse20058](docs/InlineResponse20058.md)
 - [InlineResponse20059](docs/InlineResponse20059.md)
 - [InlineResponse20059Data](docs/InlineResponse20059Data.md)
 - [InlineResponse2006](docs/InlineResponse2006.md)
 - [InlineResponse20060](docs/InlineResponse20060.md)
 - [InlineResponse20061](docs/InlineResponse20061.md)
 - [InlineResponse20062](docs/InlineResponse20062.md)
 - [InlineResponse20063](docs/InlineResponse20063.md)
 - [InlineResponse20064](docs/InlineResponse20064.md)
 - [InlineResponse20064Data](docs/InlineResponse20064Data.md)
 - [InlineResponse20065](docs/InlineResponse20065.md)
 - [InlineResponse20066](docs/InlineResponse20066.md)
 - [InlineResponse20067](docs/InlineResponse20067.md)
 - [InlineResponse20068](docs/InlineResponse20068.md)
 - [InlineResponse20068Data](docs/InlineResponse20068Data.md)
 - [InlineResponse20069](docs/InlineResponse20069.md)
 - [InlineResponse20069Data](docs/InlineResponse20069Data.md)
 - [InlineResponse2006Data](docs/InlineResponse2006Data.md)
 - [InlineResponse2007](docs/InlineResponse2007.md)
 - [InlineResponse20070](docs/InlineResponse20070.md)
 - [InlineResponse20070Data](docs/InlineResponse20070Data.md)
 - [InlineResponse20071](docs/InlineResponse20071.md)
 - [InlineResponse20071Data](docs/InlineResponse20071Data.md)
 - [InlineResponse20072](docs/InlineResponse20072.md)
 - [InlineResponse20072Data](docs/InlineResponse20072Data.md)
 - [InlineResponse20073](docs/InlineResponse20073.md)
 - [InlineResponse20073Data](docs/InlineResponse20073Data.md)
 - [InlineResponse20074](docs/InlineResponse20074.md)
 - [InlineResponse20075](docs/InlineResponse20075.md)
 - [InlineResponse2007Data](docs/InlineResponse2007Data.md)
 - [InlineResponse2008](docs/InlineResponse2008.md)
 - [InlineResponse2008Data](docs/InlineResponse2008Data.md)
 - [InlineResponse2009](docs/InlineResponse2009.md)
 - [InlineResponse2009Data](docs/InlineResponse2009Data.md)
 - [InlineResponse201](docs/InlineResponse201.md)
 - [InlineResponse2011](docs/InlineResponse2011.md)
 - [InlineResponse2011Data](docs/InlineResponse2011Data.md)
 - [ListGroupListGroupIdBody](docs/ListGroupListGroupIdBody.md)
 - [ListGroupListGroupIdBody1](docs/ListGroupListGroupIdBody1.md)
 - [MarketingAddCampaignBody](docs/MarketingAddCampaignBody.md)
 - [MarketingAddContactBody](docs/MarketingAddContactBody.md)
 - [MarketingAddContactsBody](docs/MarketingAddContactsBody.md)
 - [MarketingAddListBody](docs/MarketingAddListBody.md)
 - [MarketingCampaignScheduleBody](docs/MarketingCampaignScheduleBody.md)
 - [MarketingSuppressBody](docs/MarketingSuppressBody.md)
 - [Message](docs/Message.md)
 - [OneOfReportResponseRowsItems](docs/OneOfReportResponseRowsItems.md)
 - [ReportResponse](docs/ReportResponse.md)
 - [SM3CSVResponse](docs/SM3CSVResponse.md)
 - [SM3Campaign](docs/SM3Campaign.md)
 - [SM3CampaignPOSTBody](docs/SM3CampaignPOSTBody.md)
 - [SM3CampaignPUTBody](docs/SM3CampaignPUTBody.md)
 - [SM3Contact](docs/SM3Contact.md)
 - [SM3ContactPOSTBody](docs/SM3ContactPOSTBody.md)
 - [SM3ContactPOSTBodyDerived](docs/SM3ContactPOSTBodyDerived.md)
 - [SM3ContactPUTBody](docs/SM3ContactPUTBody.md)
 - [SM3CustomField](docs/SM3CustomField.md)
 - [SM3List](docs/SM3List.md)
 - [SM3ListBase](docs/SM3ListBase.md)
 - [SM3ListBody](docs/SM3ListBody.md)
 - [SecureForm](docs/SecureForm.md)
 - [SecureFormDbRow](docs/SecureFormDbRow.md)
 - [SecureFormDbRowFiles_](docs/SecureFormDbRowFiles_.md)
 - [SecurelineRecipientsBody](docs/SecurelineRecipientsBody.md)
 - [SecurelineSendBody](docs/SecurelineSendBody.md)
 - [Server](docs/Server.md)
 - [ServerIdSendingRateBody](docs/ServerIdSendingRateBody.md)
 - [StringOrNumber](docs/StringOrNumber.md)
 - [Suppression](docs/Suppression.md)
 - [Template](docs/Template.md)
 - [TemplateGroupTemplateGroupIdBody](docs/TemplateGroupTemplateGroupIdBody.md)
 - [TemplateGroupTemplateGroupIdBody1](docs/TemplateGroupTemplateGroupIdBody1.md)
 - [UpdateCampaignIdBody](docs/UpdateCampaignIdBody.md)
 - [UpdateContactEmailBody](docs/UpdateContactEmailBody.md)
 - [UpdateContactRequestBody](docs/UpdateContactRequestBody.md)
 - [UpdateListIdBody](docs/UpdateListIdBody.md)
 - [UserUsernameBody](docs/UserUsernameBody.md)
 - [UsernameFieldsBody](docs/UsernameFieldsBody.md)
 - [UsernamePasswordBody](docs/UsernamePasswordBody.md)
 - [UsernamePasswordBody1](docs/UsernamePasswordBody1.md)
 - [UsernameProfileBody](docs/UsernameProfileBody.md)
 - [UsernameRenameBody](docs/UsernameRenameBody.md)
 - [UsersUsernameBody](docs/UsersUsernameBody.md)
 - [UsersUsernameBody1](docs/UsersUsernameBody1.md)
 - [UserusernameemailsendJson](docs/UserusernameemailsendJson.md)
 - [UserusernameemailsendJsonMessage](docs/UserusernameemailsendJsonMessage.md)
 - [UserusernameemailsendJsonMessages](docs/UserusernameemailsendJsonMessages.md)
 - [WebAide](docs/WebAide.md)
 - [WebaideIdEntryIdBody](docs/WebaideIdEntryIdBody.md)
 - [WebaideTypeWebaideIdBody](docs/WebaideTypeWebaideIdBody.md)
 - [WebaidesWebaideTypeBody](docs/WebaidesWebaideTypeBody.md)

## Documentation For Authorization

 All endpoints do not require authorization.


## Author


