# coding: utf-8

"""
    LUXSCI

    For a technical overview, see [LuxSci API Mechanics Guide](/rest-api/mechanics.html)  Return to [The API Guide](/rest-api.html)  # noqa: E501

    OpenAPI spec version: v2024.2.1
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class EntriesImportBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'entry_data': 'list[list[str]]',
        'fields': 'list[str]',
        'import_mode': 'str',
        'import_recur': 'int',
        'timezone': 'str'
    }

    attribute_map = {
        'entry_data': 'entry_data',
        'fields': 'fields',
        'import_mode': 'import_mode',
        'import_recur': 'import_recur',
        'timezone': 'timezone'
    }

    def __init__(self, entry_data=None, fields=None, import_mode=None, import_recur=0, timezone=None):  # noqa: E501
        """EntriesImportBody - a model defined in Swagger"""  # noqa: E501
        self._entry_data = None
        self._fields = None
        self._import_mode = None
        self._import_recur = None
        self._timezone = None
        self.discriminator = None
        if entry_data is not None:
            self.entry_data = entry_data
        self.fields = fields
        if import_mode is not None:
            self.import_mode = import_mode
        if import_recur is not None:
            self.import_recur = import_recur
        if timezone is not None:
            self.timezone = timezone

    @property
    def entry_data(self):
        """Gets the entry_data of this EntriesImportBody.  # noqa: E501

        Each interior array corresponds to one entry. The nth element in that array corresponds to the nth entry in the array of fields.  A maximum of 500 entries can be sent per request.  # noqa: E501

        :return: The entry_data of this EntriesImportBody.  # noqa: E501
        :rtype: list[list[str]]
        """
        return self._entry_data

    @entry_data.setter
    def entry_data(self, entry_data):
        """Sets the entry_data of this EntriesImportBody.

        Each interior array corresponds to one entry. The nth element in that array corresponds to the nth entry in the array of fields.  A maximum of 500 entries can be sent per request.  # noqa: E501

        :param entry_data: The entry_data of this EntriesImportBody.  # noqa: E501
        :type: list[list[str]]
        """

        self._entry_data = entry_data

    @property
    def fields(self):
        """Gets the fields of this EntriesImportBody.  # noqa: E501

        Required. An array of field names, as per WebAide entry data fields, below.  # noqa: E501

        :return: The fields of this EntriesImportBody.  # noqa: E501
        :rtype: list[str]
        """
        return self._fields

    @fields.setter
    def fields(self, fields):
        """Sets the fields of this EntriesImportBody.

        Required. An array of field names, as per WebAide entry data fields, below.  # noqa: E501

        :param fields: The fields of this EntriesImportBody.  # noqa: E501
        :type: list[str]
        """
        if fields is None:
            raise ValueError("Invalid value for `fields`, must not be `None`")  # noqa: E501

        self._fields = fields

    @property
    def import_mode(self):
        """Gets the import_mode of this EntriesImportBody.  # noqa: E501

        Optional. Enumeration: One of “ignore”, “update”, “replace”, “replace_ exact”. How to match these entries to the existing entries and what to do about matches?  If this is left blank, ALL entries will be added even if they are duplicates of existing entries. Valid modes are - ignore: If a similar entry already exists the new entry will not be added - replace: if a similar entry already exists it will be replaced by the new entry - update: if a similar entry already exists the most recent entry will be saved in the WebAide. Most recent is determined by the modified date times in the system and in the data that you are sending. - replace_exact: Matches existing entries with your data based only on “Unique ID”. Matching entries will use the “replace”. Non- matching entries will be skipped and not added.In cases except with “replace_exact”, non-matches will be added as new entries.  How are matches made? They are made based un “Unique ID” if you have passed that. Otherwise it tries to match based on fields like Title, Subject, Entry Date, email address, etc. These fuzzy matches are useful if you are synchronizing new data that may match some or all existing entries and you do not want to make duplicates. Generally, you should always include the “Unique ID” so that there is no ambiguity.  # noqa: E501

        :return: The import_mode of this EntriesImportBody.  # noqa: E501
        :rtype: str
        """
        return self._import_mode

    @import_mode.setter
    def import_mode(self, import_mode):
        """Sets the import_mode of this EntriesImportBody.

        Optional. Enumeration: One of “ignore”, “update”, “replace”, “replace_ exact”. How to match these entries to the existing entries and what to do about matches?  If this is left blank, ALL entries will be added even if they are duplicates of existing entries. Valid modes are - ignore: If a similar entry already exists the new entry will not be added - replace: if a similar entry already exists it will be replaced by the new entry - update: if a similar entry already exists the most recent entry will be saved in the WebAide. Most recent is determined by the modified date times in the system and in the data that you are sending. - replace_exact: Matches existing entries with your data based only on “Unique ID”. Matching entries will use the “replace”. Non- matching entries will be skipped and not added.In cases except with “replace_exact”, non-matches will be added as new entries.  How are matches made? They are made based un “Unique ID” if you have passed that. Otherwise it tries to match based on fields like Title, Subject, Entry Date, email address, etc. These fuzzy matches are useful if you are synchronizing new data that may match some or all existing entries and you do not want to make duplicates. Generally, you should always include the “Unique ID” so that there is no ambiguity.  # noqa: E501

        :param import_mode: The import_mode of this EntriesImportBody.  # noqa: E501
        :type: str
        """
        allowed_values = ["ignore", "update", "replace", "replace_exact"]  # noqa: E501
        if import_mode not in allowed_values:
            raise ValueError(
                "Invalid value for `import_mode` ({0}), must be one of {1}"  # noqa: E501
                .format(import_mode, allowed_values)
            )

        self._import_mode = import_mode

    @property
    def import_recur(self):
        """Gets the import_recur of this EntriesImportBody.  # noqa: E501

        Optional. Default 0. If 1, then the recurrence information uploaded will be imported.  Note that recurrent entries that are updated without “import_recur” enabled will lose their recurrence.  # noqa: E501

        :return: The import_recur of this EntriesImportBody.  # noqa: E501
        :rtype: int
        """
        return self._import_recur

    @import_recur.setter
    def import_recur(self, import_recur):
        """Sets the import_recur of this EntriesImportBody.

        Optional. Default 0. If 1, then the recurrence information uploaded will be imported.  Note that recurrent entries that are updated without “import_recur” enabled will lose their recurrence.  # noqa: E501

        :param import_recur: The import_recur of this EntriesImportBody.  # noqa: E501
        :type: int
        """
        allowed_values = [0, 1]  # noqa: E501
        if import_recur not in allowed_values:
            raise ValueError(
                "Invalid value for `import_recur` ({0}), must be one of {1}"  # noqa: E501
                .format(import_recur, allowed_values)
            )

        self._import_recur = import_recur

    @property
    def timezone(self):
        """Gets the timezone of this EntriesImportBody.  # noqa: E501

        Optional. Time zone code. E.g. “GMT”. The time zone to use for Calendar/Task dates and times. The user’s default time zone is used if no time zone is specified. Default is GMT.  # noqa: E501

        :return: The timezone of this EntriesImportBody.  # noqa: E501
        :rtype: str
        """
        return self._timezone

    @timezone.setter
    def timezone(self, timezone):
        """Sets the timezone of this EntriesImportBody.

        Optional. Time zone code. E.g. “GMT”. The time zone to use for Calendar/Task dates and times. The user’s default time zone is used if no time zone is specified. Default is GMT.  # noqa: E501

        :param timezone: The timezone of this EntriesImportBody.  # noqa: E501
        :type: str
        """

        self._timezone = timezone

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(EntriesImportBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, EntriesImportBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
