# luxsci.MarketingApi

All URIs are relative to *https://rest.luxsci.com/perl/api/v2*, unless a hostname is provided ([see README](../README.md#documentation-for-api-endpoints))

Method | HTTP request | Description
------------- | ------------- | -------------
[**add_marketing_campaign**](MarketingApi.md#add_marketing_campaign) | **POST** /account/{accountId}/marketing/addCampaign | 
[**add_marketing_contact**](MarketingApi.md#add_marketing_contact) | **POST** /account/{accountId}/marketing/addContact | 
[**add_marketing_contacts**](MarketingApi.md#add_marketing_contacts) | **POST** /account/{accountId}/marketing/addContacts | 
[**add_marketing_list**](MarketingApi.md#add_marketing_list) | **POST** /account/{accountId}/marketing/addList | 
[**add_new_marketing_suppression**](MarketingApi.md#add_new_marketing_suppression) | **POST** /account/{accountId}/marketing/suppress | 
[**delete_marketing_campaign**](MarketingApi.md#delete_marketing_campaign) | **DELETE** /account/{accountId}/marketing/deleteCampaign/{id} | 
[**delete_marketing_contact_by_id**](MarketingApi.md#delete_marketing_contact_by_id) | **DELETE** /account/{accountId}/marketing/deleteContact/{id} | 
[**delete_marketing_list**](MarketingApi.md#delete_marketing_list) | **DELETE** /account/{accountId}/marketing/deleteList/{id} | 
[**delete_marketing_list_group**](MarketingApi.md#delete_marketing_list_group) | **DELETE** /account/{accountId}/deleteListGroup/{id} | 
[**delete_marketing_suppression**](MarketingApi.md#delete_marketing_suppression) | **DELETE** /account/{accountId}/marketing/deleteSuppressed/{type} | 
[**get_marketing_campaign_bounced_statistics**](MarketingApi.md#get_marketing_campaign_bounced_statistics) | **GET** /account/{accountId}/marketing/getCampaignStatsBounced/{schedule_id} | 
[**get_marketing_campaign_clicked_statistics**](MarketingApi.md#get_marketing_campaign_clicked_statistics) | **GET** /account/{accountId}/marketing/getCampaignStatsClicked/{schedule_id} | 
[**get_marketing_campaign_groups**](MarketingApi.md#get_marketing_campaign_groups) | **GET** /account/{accountId}/marketing/getMarketingCampaignGroups | 
[**get_marketing_campaign_opened_statistics**](MarketingApi.md#get_marketing_campaign_opened_statistics) | **GET** /account/{accountId}/marketing/getCampaignStatsOpened/{schedule_id} | 
[**get_marketing_campaign_statistics_summary**](MarketingApi.md#get_marketing_campaign_statistics_summary) | **GET** /account/{accountId}/marketing/getCampaignStatsSummary/{schedule_id} | 
[**get_marketing_campaign_unsubscribed_statistics**](MarketingApi.md#get_marketing_campaign_unsubscribed_statistics) | **GET** /account/{accountId}/marketing/getCampaignStatsUnsubscribed/{schedule_id} | 
[**get_marketing_campaigns**](MarketingApi.md#get_marketing_campaigns) | **GET** /account/{accountId}/marketing/getCampaigns | 
[**get_marketing_contact_by_id**](MarketingApi.md#get_marketing_contact_by_id) | **GET** /account/{accountId}/marketing/getContact/{id} | 
[**get_marketing_contacts**](MarketingApi.md#get_marketing_contacts) | **GET** /account/{accountId}/marketing/getContacts | 
[**get_marketing_list_groups**](MarketingApi.md#get_marketing_list_groups) | **GET** /account/{accountId}/marketing/getMarketingListGroups | 
[**get_marketing_lists**](MarketingApi.md#get_marketing_lists) | **GET** /account/{accountId}/marketing/getLists | 
[**get_marketing_scheduled_campaigns**](MarketingApi.md#get_marketing_scheduled_campaigns) | **GET** /account/{accountId}/marketing/getMarketingScheduledCampaigns | 
[**get_marketing_suppressions**](MarketingApi.md#get_marketing_suppressions) | **GET** /account/{accountId}/marketing/getSuppressed | 
[**mark_contact_as_unsubscribed**](MarketingApi.md#mark_contact_as_unsubscribed) | **PUT** /account/{accountId}/markAsUnsubscribed/{id} | 
[**schedule_marketing_campaign**](MarketingApi.md#schedule_marketing_campaign) | **POST** /account/{accountId}/marketing/campaignSchedule | 
[**update_marketing_campaign**](MarketingApi.md#update_marketing_campaign) | **PUT** /account/{accountId}/marketing/updateCampaign/{id} | 
[**update_marketing_contact_by_email**](MarketingApi.md#update_marketing_contact_by_email) | **PUT** /account/{accountId}/marketing/updateContact/{email} | 
[**update_marketing_contact_by_id**](MarketingApi.md#update_marketing_contact_by_id) | **PUT** /account/{accountId}/marketing/updateContact/{id} | 
[**update_marketing_list**](MarketingApi.md#update_marketing_list) | **PUT** /account/{accountId}/marketing/updateList/{id} | 

# **add_marketing_campaign**
> InlineResponse20052 add_marketing_campaign(account_id, body=body)



Create a new email broadcast campaign. {{ACL: Marketing - Campaign Management}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
body = luxsci.MarketingAddCampaignBody() # MarketingAddCampaignBody |  (optional)

try:
    api_response = api_instance.add_marketing_campaign(account_id, body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->add_marketing_campaign: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **body** | [**MarketingAddCampaignBody**](MarketingAddCampaignBody.md)|  | [optional] 

### Return type

[**InlineResponse20052**](InlineResponse20052.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **add_marketing_contact**
> InlineResponse20049 add_marketing_contact(account_id, body=body)



Add New Contact. {{ACL: Marketing - Contact Management}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
body = luxsci.MarketingAddContactBody() # MarketingAddContactBody |  (optional)

try:
    api_response = api_instance.add_marketing_contact(account_id, body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->add_marketing_contact: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **body** | [**MarketingAddContactBody**](MarketingAddContactBody.md)|  | [optional] 

### Return type

[**InlineResponse20049**](InlineResponse20049.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **add_marketing_contacts**
> InlineResponse2003 add_marketing_contacts(account_id, body=body)



Add New Contacts. {{ACL: Marketing - Contact Management}}  This is a bulk wrapper around addContact.  You specify multiple contacts in the contacts list element.  The response contains a list of API response call results for each API add request.  Use of addContacts is the same as calling addContact multiple times; however, it is somewhat more efficient.

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
body = luxsci.MarketingAddContactsBody() # MarketingAddContactsBody |  (optional)

try:
    api_response = api_instance.add_marketing_contacts(account_id, body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->add_marketing_contacts: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **body** | [**MarketingAddContactsBody**](MarketingAddContactsBody.md)|  | [optional] 

### Return type

[**InlineResponse2003**](InlineResponse2003.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **add_marketing_list**
> InlineResponse20047 add_marketing_list(account_id, body=body)



Add New Contact List. {{ACL: Marketing - List Management}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
body = luxsci.MarketingAddListBody() # MarketingAddListBody |  (optional)

try:
    api_response = api_instance.add_marketing_list(account_id, body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->add_marketing_list: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **body** | [**MarketingAddListBody**](MarketingAddListBody.md)|  | [optional] 

### Return type

[**InlineResponse20047**](InlineResponse20047.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **add_new_marketing_suppression**
> InlineResponse20053 add_new_marketing_suppression(account_id, body=body)



Add New Suppression. {{ACL: Marketing - Suppression}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
body = luxsci.MarketingSuppressBody() # MarketingSuppressBody |  (optional)

try:
    api_response = api_instance.add_new_marketing_suppression(account_id, body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->add_new_marketing_suppression: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **body** | [**MarketingSuppressBody**](MarketingSuppressBody.md)|  | [optional] 

### Return type

[**InlineResponse20053**](InlineResponse20053.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_marketing_campaign**
> InlineResponse201 delete_marketing_campaign(account_id, id)



Delete a Campaign. {{ACL: Marketing - Campaign Management}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
id = 56 # int | 

try:
    api_response = api_instance.delete_marketing_campaign(account_id, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->delete_marketing_campaign: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **id** | **int**|  | 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_marketing_contact_by_id**
> InlineResponse201 delete_marketing_contact_by_id(account_id, id)



Delete Contact By ID. {{ACL: Marketing - Contact Management}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
id = 56 # int | 

try:
    api_response = api_instance.delete_marketing_contact_by_id(account_id, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->delete_marketing_contact_by_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **id** | **int**|  | 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_marketing_list**
> InlineResponse201 delete_marketing_list(account_id, id)



Note: deleting a contact list will delete any contacts in that list. {{ACL: Marketing - List Management}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
id = 'id_example' # str | List Id.

try:
    api_response = api_instance.delete_marketing_list(account_id, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->delete_marketing_list: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **id** | **str**| List Id. | 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_marketing_list_group**
> InlineResponse201 delete_marketing_list_group(account_id, id)



Note: deleting a contact list group will NOT delete any contact lists in that group; they will merely become unassociated with any group. {{ACL: Marketing - List Management}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
id = 'id_example' # str | List group Id.

try:
    api_response = api_instance.delete_marketing_list_group(account_id, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->delete_marketing_list_group: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **id** | **str**| List group Id. | 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_marketing_suppression**
> InlineResponse201 delete_marketing_suppression(account_id, type, id=id, reference=reference)



Delete Suppression. {{ACL: Marketing - Suppression}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
type = 'type_example' # str | email, domain, ip Select type of suppression
id = 56 # int | id of the suppressed entry (optional)
reference = 'reference_example' # str | Select suppressed records according to this reference you want to delete (optional)

try:
    api_response = api_instance.delete_marketing_suppression(account_id, type, id=id, reference=reference)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->delete_marketing_suppression: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **type** | **str**| email, domain, ip Select type of suppression | 
 **id** | **int**| id of the suppressed entry | [optional] 
 **reference** | **str**| Select suppressed records according to this reference you want to delete | [optional] 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_marketing_campaign_bounced_statistics**
> InlineResponse20055 get_marketing_campaign_bounced_statistics(account_id, schedule_id, limit_start=limit_start, limit_count=limit_count)



Get Campaign bounced statistics.  {{ACL: Marketing - Statistics}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
schedule_id = 56 # int | Schedule id of schedule to get bounced stats
limit_start = 0 # int | Starting row of result. Default: 0 (optional) (default to 0)
limit_count = 25 # int | Number of records to get. Default: 25 (optional) (default to 25)

try:
    api_response = api_instance.get_marketing_campaign_bounced_statistics(account_id, schedule_id, limit_start=limit_start, limit_count=limit_count)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->get_marketing_campaign_bounced_statistics: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **schedule_id** | **int**| Schedule id of schedule to get bounced stats | 
 **limit_start** | **int**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limit_count** | **int**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_marketing_campaign_clicked_statistics**
> InlineResponse20055 get_marketing_campaign_clicked_statistics(account_id, schedule_id, limit_start=limit_start, limit_count=limit_count)



Get Campaign email link clicked statistics.  {{ACL: Marketing - Statistics}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
schedule_id = 56 # int | Schedule id of schedule to get clicked stats
limit_start = 0 # int | Starting row of result. Default: 0 (optional) (default to 0)
limit_count = 25 # int | Number of records to get. Default: 25 (optional) (default to 25)

try:
    api_response = api_instance.get_marketing_campaign_clicked_statistics(account_id, schedule_id, limit_start=limit_start, limit_count=limit_count)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->get_marketing_campaign_clicked_statistics: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **schedule_id** | **int**| Schedule id of schedule to get clicked stats | 
 **limit_start** | **int**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limit_count** | **int**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_marketing_campaign_groups**
> InlineResponse20055 get_marketing_campaign_groups(account_id, id=id, user_id=user_id, limit_start=limit_start, limit_count=limit_count)



Get Campaign Groups.  {{ACL: Marketing - Campaign Management}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
id = 56 # int | id of the campaign group to fetch details for. (optional)
user_id = 56 # int | Get campaign groups of a particular user. (optional)
limit_start = 0 # int | Starting row of result. Default: 0 (optional) (default to 0)
limit_count = 25 # int | Number of records to get. Default: 25 (optional) (default to 25)

try:
    api_response = api_instance.get_marketing_campaign_groups(account_id, id=id, user_id=user_id, limit_start=limit_start, limit_count=limit_count)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->get_marketing_campaign_groups: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **id** | **int**| id of the campaign group to fetch details for. | [optional] 
 **user_id** | **int**| Get campaign groups of a particular user. | [optional] 
 **limit_start** | **int**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limit_count** | **int**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_marketing_campaign_opened_statistics**
> InlineResponse20055 get_marketing_campaign_opened_statistics(account_id, schedule_id, limit_start=limit_start, limit_count=limit_count)



Get Campaign email opened statistics.  {{ACL: Marketing - Statistics}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
schedule_id = 56 # int | Schedule id of schedule to get open stats
limit_start = 0 # int | Starting row of result. Default: 0 (optional) (default to 0)
limit_count = 25 # int | Number of records to get. Default: 25 (optional) (default to 25)

try:
    api_response = api_instance.get_marketing_campaign_opened_statistics(account_id, schedule_id, limit_start=limit_start, limit_count=limit_count)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->get_marketing_campaign_opened_statistics: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **schedule_id** | **int**| Schedule id of schedule to get open stats | 
 **limit_start** | **int**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limit_count** | **int**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_marketing_campaign_statistics_summary**
> InlineResponse2003 get_marketing_campaign_statistics_summary(account_id, schedule_id)



Get Campaign statistics summary. {{ACL: Marketing - Statistics}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
schedule_id = 'schedule_id_example' # str | Schedule id of schedule to get its statatistics summary.

try:
    api_response = api_instance.get_marketing_campaign_statistics_summary(account_id, schedule_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->get_marketing_campaign_statistics_summary: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **schedule_id** | **str**| Schedule id of schedule to get its statatistics summary. | 

### Return type

[**InlineResponse2003**](InlineResponse2003.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_marketing_campaign_unsubscribed_statistics**
> InlineResponse20055 get_marketing_campaign_unsubscribed_statistics(account_id, schedule_id, limit_start=limit_start, limit_count=limit_count)



Get Campaign email unsubscribed statistics.  {{ACL: Marketing - Statistics}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
schedule_id = 56 # int | Schedule id of schedule to get unsubscribe stats
limit_start = 0 # int | Starting row of result. Default: 0 (optional) (default to 0)
limit_count = 25 # int | Number of records to get. Default: 25 (optional) (default to 25)

try:
    api_response = api_instance.get_marketing_campaign_unsubscribed_statistics(account_id, schedule_id, limit_start=limit_start, limit_count=limit_count)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->get_marketing_campaign_unsubscribed_statistics: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **schedule_id** | **int**| Schedule id of schedule to get unsubscribe stats | 
 **limit_start** | **int**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limit_count** | **int**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_marketing_campaigns**
> InlineResponse20052 get_marketing_campaigns(account_id, id, group_id, limit_start, limit_count)



This call allows you to retrieve details on your campaigns. {{ACL: Marketing - Campaign Management}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
id = 56 # int | Use if you want to restrict details to specific Campaign id. If left blank, all your campaigns’ details will be returned.
group_id = 56 # int | Group id of the campaigns you want to get.
limit_start = 0 # int | Starting row of result. Default: 0 (default to 0)
limit_count = 25 # int | Number of records to get. Default: 25 (default to 25)

try:
    api_response = api_instance.get_marketing_campaigns(account_id, id, group_id, limit_start, limit_count)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->get_marketing_campaigns: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **id** | **int**| Use if you want to restrict details to specific Campaign id. If left blank, all your campaigns’ details will be returned. | 
 **group_id** | **int**| Group id of the campaigns you want to get. | 
 **limit_start** | **int**| Starting row of result. Default: 0 | [default to 0]
 **limit_count** | **int**| Number of records to get. Default: 25 | [default to 25]

### Return type

[**InlineResponse20052**](InlineResponse20052.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_marketing_contact_by_id**
> InlineResponse20051 get_marketing_contact_by_id(account_id, id, full_details=full_details)



This function allows you to get the details for specific contact using his/her contact ID. {{ACL: Marketing - Contact Management}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
id = 56 # int | 
full_details = 56 # int | If specified and set to 1, add contact details will be returned, including the values of all additional fields. (optional)

try:
    api_response = api_instance.get_marketing_contact_by_id(account_id, id, full_details=full_details)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->get_marketing_contact_by_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **id** | **int**|  | 
 **full_details** | **int**| If specified and set to 1, add contact details will be returned, including the values of all additional fields. | [optional] 

### Return type

[**InlineResponse20051**](InlineResponse20051.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_marketing_contacts**
> InlineResponse20050 get_marketing_contacts(account_id, list_id, limit_start, limit_count, full_details=full_details)



This call permits you to get your contacts’ data from the system by specific list or in aggregate. None of the request body parameters are required, and if you leave them blank, the call will return all contacts’ data from all your lists. {{ACL: Marketing - Contact Management}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
list_id = 56 # int | Contact list id for the contacts you want to get.
limit_start = 0 # int | Starting row of result. Default: 0 (default to 0)
limit_count = 25 # int | Number of records to get. Default: 25 (default to 25)
full_details = 56 # int | If specified and set to 1, add contact details will be returned, including the values of all additional fields. (optional)

try:
    api_response = api_instance.get_marketing_contacts(account_id, list_id, limit_start, limit_count, full_details=full_details)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->get_marketing_contacts: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **list_id** | **int**| Contact list id for the contacts you want to get. | 
 **limit_start** | **int**| Starting row of result. Default: 0 | [default to 0]
 **limit_count** | **int**| Number of records to get. Default: 25 | [default to 25]
 **full_details** | **int**| If specified and set to 1, add contact details will be returned, including the values of all additional fields. | [optional] 

### Return type

[**InlineResponse20050**](InlineResponse20050.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_marketing_list_groups**
> InlineResponse20055 get_marketing_list_groups(account_id, id=id, user_id=user_id, limit_start=limit_start, limit_count=limit_count)



Get Campaign List Groups.  {{ACL: Marketing - Campaign Management}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
id = 56 # int | id of the List Group to fetch details for. (optional)
user_id = 56 # int | Get list groups of a particular user. (optional)
limit_start = 0 # int | Starting row of result. Default: 0 (optional) (default to 0)
limit_count = 25 # int | Number of records to get. Default: 25 (optional) (default to 25)

try:
    api_response = api_instance.get_marketing_list_groups(account_id, id=id, user_id=user_id, limit_start=limit_start, limit_count=limit_count)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->get_marketing_list_groups: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **id** | **int**| id of the List Group to fetch details for. | [optional] 
 **user_id** | **int**| Get list groups of a particular user. | [optional] 
 **limit_start** | **int**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limit_count** | **int**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_marketing_lists**
> InlineResponse20048 get_marketing_lists(account_id, list_id=list_id, group_id=group_id)



Return details about one or more specific Contact List(s). If you omit all parameters, all lists should be returned. {{ACL: Marketing - List Management}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
list_id = 56 # int | List id for the specific contact list you want details for. (optional)
group_id = 56 # int | Group id for all getting lists in a specific group (optional)

try:
    api_response = api_instance.get_marketing_lists(account_id, list_id=list_id, group_id=group_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->get_marketing_lists: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **list_id** | **int**| List id for the specific contact list you want details for. | [optional] 
 **group_id** | **int**| Group id for all getting lists in a specific group | [optional] 

### Return type

[**InlineResponse20048**](InlineResponse20048.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_marketing_scheduled_campaigns**
> InlineResponse20055 get_marketing_scheduled_campaigns(account_id, id=id, user_id=user_id, limit_start=limit_start, limit_count=limit_count, t_start=t_start, t_end=t_end)



Get Scheduled Campaigns.  {{ACL: Marketing - Campaign Management}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
id = 56 # int | id of the campaign to fetch details for. (optional)
user_id = 56 # int | Get campaigns of a particular user. (optional)
limit_start = 25 # int | Number of records to get. Default: 25. (optional) (default to 25)
limit_count = 25 # int | Number of records to get. Default: 25. (optional) (default to 25)
t_start = 56 # int | The start time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss) (optional)
t_end = 56 # int | The end time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss) (optional)

try:
    api_response = api_instance.get_marketing_scheduled_campaigns(account_id, id=id, user_id=user_id, limit_start=limit_start, limit_count=limit_count, t_start=t_start, t_end=t_end)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->get_marketing_scheduled_campaigns: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **id** | **int**| id of the campaign to fetch details for. | [optional] 
 **user_id** | **int**| Get campaigns of a particular user. | [optional] 
 **limit_start** | **int**| Number of records to get. Default: 25. | [optional] [default to 25]
 **limit_count** | **int**| Number of records to get. Default: 25. | [optional] [default to 25]
 **t_start** | **int**| The start time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss) | [optional] 
 **t_end** | **int**| The end time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss) | [optional] 

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_marketing_suppressions**
> InlineResponse20054 get_marketing_suppressions(account_id, type, id=id, reference=reference, limit_start=limit_start, limit_count=limit_count)



Get Suppressions. {{ACL: Marketing - Suppression}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
type = 'type_example' # str | email, domain, ip Select type of suppression list you want to get
id = 56 # int | id of the suppressed entry (optional)
reference = 'reference_example' # str | Get suppressed records according to this reference (optional)
limit_start = 0 # int | Starting row of result. Default: 0 (optional) (default to 0)
limit_count = 25 # int | Number of records to get. Default: 25 (optional) (default to 25)

try:
    api_response = api_instance.get_marketing_suppressions(account_id, type, id=id, reference=reference, limit_start=limit_start, limit_count=limit_count)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->get_marketing_suppressions: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **type** | **str**| email, domain, ip Select type of suppression list you want to get | 
 **id** | **int**| id of the suppressed entry | [optional] 
 **reference** | **str**| Get suppressed records according to this reference | [optional] 
 **limit_start** | **int**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limit_count** | **int**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20054**](InlineResponse20054.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **mark_contact_as_unsubscribed**
> InlineResponse201 mark_contact_as_unsubscribed(account_id, id)



Changes a contact’s status to “unsubscribed.” This is more efficient than calling updateContact to make this change. {{ACL: Marketing - Contact Management}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
id = 'id_example' # str | 

try:
    api_response = api_instance.mark_contact_as_unsubscribed(account_id, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->mark_contact_as_unsubscribed: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **id** | **str**|  | 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **schedule_marketing_campaign**
> InlineResponse2003 schedule_marketing_campaign(account_id, body=body)



Schedule Campaign. {{ACL: Marketing - Scheduling}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
body = luxsci.MarketingCampaignScheduleBody() # MarketingCampaignScheduleBody |  (optional)

try:
    api_response = api_instance.schedule_marketing_campaign(account_id, body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->schedule_marketing_campaign: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **body** | [**MarketingCampaignScheduleBody**](MarketingCampaignScheduleBody.md)|  | [optional] 

### Return type

[**InlineResponse2003**](InlineResponse2003.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_marketing_campaign**
> InlineResponse20052 update_marketing_campaign(account_id, id, body=body)



Update a Campaign. {{ACL: Marketing - Campaign Management}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
id = 'id_example' # str | 
body = luxsci.UpdateCampaignIdBody() # UpdateCampaignIdBody |  (optional)

try:
    api_response = api_instance.update_marketing_campaign(account_id, id, body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->update_marketing_campaign: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **id** | **str**|  | 
 **body** | [**UpdateCampaignIdBody**](UpdateCampaignIdBody.md)|  | [optional] 

### Return type

[**InlineResponse20052**](InlineResponse20052.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_marketing_contact_by_email**
> InlineResponse20049 update_marketing_contact_by_email(account_id, email, body=body)



Update the details, including custom field values, of contacts with the specified email address. {{ACL: Marketing - Contact Management}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
email = 'email_example' # str | 
body = luxsci.UpdateContactEmailBody() # UpdateContactEmailBody |  (optional)

try:
    api_response = api_instance.update_marketing_contact_by_email(account_id, email, body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->update_marketing_contact_by_email: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **email** | **str**|  | 
 **body** | [**UpdateContactEmailBody**](UpdateContactEmailBody.md)|  | [optional] 

### Return type

[**InlineResponse20049**](InlineResponse20049.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_marketing_contact_by_id**
> InlineResponse20049 update_marketing_contact_by_id(account_id, id, body=body)



Update the details, including custom field values, of a contact, using their contact ID. {{ACL: Marketing - Contact Management}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
id = 'id_example' # str | 
body = luxsci.UpdateContactRequestBody() # UpdateContactRequestBody |  (optional)

try:
    api_response = api_instance.update_marketing_contact_by_id(account_id, id, body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->update_marketing_contact_by_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **id** | **str**|  | 
 **body** | [**UpdateContactRequestBody**](UpdateContactRequestBody.md)|  | [optional] 

### Return type

[**InlineResponse20049**](InlineResponse20049.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_marketing_list**
> InlineResponse20047 update_marketing_list(account_id, id, body=body)



Update information for existing Contact Lists such as From Name or From Address. This can also be used to assign custom fields to specific lists, but the custom field must exist in the platform in advance. Return contact information and other general metadata for the user. {{ACL: Marketing - List Management}}

### Example
```python
from __future__ import print_function
import time
import luxsci
from luxsci.rest import ApiException
from pprint import pprint

# create an instance of the API class
secret_key = "SECRET_KEY"
token = "TOKEN"

luxsci_client = luxci.Client(secret_key, token)
api_instance = luxsci_client.MarketingApi

account_id = 'account_id_example' # str | 
id = 'id_example' # str | List Id.
body = luxsci.UpdateListIdBody() # UpdateListIdBody |  (optional)

try:
    api_response = api_instance.update_marketing_list(account_id, id, body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MarketingApi->update_marketing_list: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**|  | 
 **id** | **str**| List Id. | 
 **body** | [**UpdateListIdBody**](UpdateListIdBody.md)|  | [optional] 

### Return type

[**InlineResponse20047**](InlineResponse20047.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

